#Coders by Nikolasi for mic71
from Renderer import Renderer
from enigma import ePixmap, ePicLoad, iServiceInformation
from Tools.Directories import fileExists, SCOPE_SKIN_IMAGE, SCOPE_CURRENT_SKIN, resolveFilename
from Components.Converter.Poll import Poll

class GoliathHDCams(Renderer, Poll):

    def __init__(self):
        Poll.__init__(self)
        Renderer.__init__(self)
        self.nameCache = {}
        self.pngname = ''
        self.path = '/usr/share/enigma2/GoliathHD/icons/icon_crypt/'

    def applySkin(self, desktop, parent):
	    attribs = []
	    for (attrib, value,) in self.skinAttributes:
		    if attrib == 'path':
			    self.path = value
		    else:
			    attribs.append((attrib, value))
	    self.skinAttributes = attribs
	    return Renderer.applySkin(self, desktop, parent)

    GUI_WIDGET = ePixmap

    def changed(self, what):
        self.poll_interval = 2000
        self.poll_enabled = True        
        sname = 'Unknown'       
        if self.instance:
            pngname = ''
            if what[0] != self.CHANGED_CLEAR:
                service = self.source.service
                if service:
                    info = service and service.info()
                    if info:
                        caids = info.getInfoObject(iServiceInformation.sCAIDs)    
                        if caids:                                                  
                            for caid in caids:
                                    if ("%0.4X" % int(caid))[:2] == '26':
                                            sname = 'BISS'
                                    elif ("%0.4X" % int(caid))[:2] == '01':
                                            sname = 'SECA MEDIAGUARD'
                                    elif ("%0.4X" % int(caid))[:2] == '06':
                                            sname = 'IRDETO'
                                    elif ("%0.4X" % int(caid))[:2] == '17':
                                            sname = 'BETACRYPT'
                                    elif ("%0.4X" % int(caid))[:2] == '05':
                                            sname = 'Viacces'
                                    elif ("%0.4X" % int(caid))[:2] == '18':
                                            sname = 'NAGRAVISION'
                                    elif ("%0.4X" % int(caid))[:2] == '09':
                                            sname = 'NDS-VIDEOGUARD'
                                    elif ("%0.4X" % int(caid))[:2] == '0B':
                                            sname = 'CONAX'
                                    elif ("%0.4X" % int(caid))[:2] == '0D':
                                            sname = 'CRYPTOWORKS'
                                    elif ("%0.4X" % int(caid))[:2] == '4A':
                                            sname = 'DRE-Crypt'
                                    elif ("%0.4X" % int(caid))[:2] == '7B':
                                            sname = 'DRE-Crypt'                                            
                                    elif ("%0.4X" % int(caid))[:2] == '27':
                                            sname = 'EXSET'
                                    elif ("%0.4X" % int(caid))[:2] == '0E':
                                            sname = 'POWERVU'
                                    elif ("%0.4X" % int(caid))[:2] == '10':
                                            sname = 'TANDBERG'                                                    
                        else:
                                sname = "Fta"
                    works = True
                    if works == True:
                        pngname = self.nameCache.get(sname, '')
                        if pngname == '':
                            pngname = self.findPicon(sname)
                            if pngname != '':
                                self.nameCache[sname] = pngname
                        if pngname == '':
                            pngname = self.nameCache.get(sname, '')
                            if pngname == '':
                                pngname = self.findPicon(sname)
                                if pngname == '':
                                    tmp = resolveFilename(SCOPE_CURRENT_SKIN, 'picon_default.png')
                                    if fileExists(tmp):
                                        pngname = tmp
                                    else:
                                        pngname = resolveFilename(SCOPE_SKIN_IMAGE, 'skin_default/picon_default.png')
                                self.nameCache['default'] = pngname
                        if self.pngname != pngname:
                                self.pngname = pngname
                                self.instance.setScale(1)
                                self.instance.setPixmapFromFile(pngname)

    def findPicon(self, serviceName):
        if serviceName:
	    pngname = self.path + serviceName + '.png'
	    if fileExists(pngname):
		return pngname
	return ''