# -*- coding: UTF-8 -*-
# Copyright 2013-2017 John Red.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import cookielib
import urllib2
import urllib

from time import localtime, strftime

ENABLED=False
LOGFILE='/tmp/seasondream.log'

class Logger():
    setup={}
    def __init__(self):
        pass
    def log(self, message):
        remote=False
        try:
            from Plugins.Extensions.Seasondream.Config import cfg  # @UnresolvedImport
            remote=cfg.isRemoteLogging()
        except Exception,e:  # @UnusedVariable
            pass
        if(not ENABLED and not remote):
            return
        if(self.__class__.__name__ in self.setup):
            if(self.setup[self.__class__.__name__] == False):
                return
        if(ENABLED or remote):
            print strftime("%H:%M:%S", localtime()),"[%s]: %s" % (self.__class__.__name__, message)
        if (remote):
            rl.log(message,self.__class__.__name__)
    
    def resetLogfile(self):
        try:
            import os
            os.remove(LOGFILE)
        except Exception:
            pass
        
class RemoteLogger():
    
    def __init__(self):
        self.cookiejar = cookielib.CookieJar()
        self.opener = urllib2.build_opener(urllib2.HTTPCookieProcessor(self.cookiejar))
    def _callback(self, data):
        pass
    def log(self, message, clazz):
        try:
            with open(LOGFILE, "a") as f:
                f.write(strftime("%H:%M:%S", localtime())+"[%s]: %s" % (clazz, message)+"\r\n")
        except Exception:
            pass
        return
    
        try:
            from Plugins.Extensions.Seasondream.Config import cfg  # @UnresolvedImport
            from twisted.web.client import getPage# @UnresolvedImport
            from Plugins.Extensions.Seasondream.Constants import const  # @UnresolvedImport
            #data=urllib.urlencode({"login":cfg.username.getValue(),"class":clazz,"crets":strftime("%Y-%m-%d %H:%M:%S", localtime()), "message":message})
            #getPage(const.SERVER+"log.php",method='POST',postdata=data, headers={'Content-Type':'application/x-www-form-urlencoded'}).addCallback(self._callback)
        except Exception,e:  # @UnusedVariable
            pass

rl=RemoteLogger()
    