# -*- coding: UTF-8 -*-
# Copyright 2013-2017 John Red.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from Tools.Directories import resolveFilename, SCOPE_PLUGINS
import os, gettext
from Components.config import config,ConfigSubsection,ConfigText


class Config(ConfigSubsection):
    def __init__(self):
        ConfigSubsection.__init__(self)
        self.language=ConfigText(default="ru",fixed_size=False)
        
l=None
language=None

def languageInit(language):
    l = gettext.translation('Seasondream', localedir=resolveFilename(SCOPE_PLUGINS, "Extensions/Seasondream/locale"), languages=[language])
    #l.install(unicode=1)
    return l
def _(txt):
    if(language=='ru'):
        return txt.encode("utf-8")
    return l.gettext(txt).encode("utf-8")

config.plugins.seasondream=Config()
language=config.plugins.seasondream.language.getValue()
#del config.plugins.seasondream

try:
    if(language=='ru'):
        print "[Seasondream] Default translation [ru] set"
    else:
        l=languageInit(language)
        print "[Seasondream] Translation for ["+str(language)+"] loaded"
except Exception,e:
    import traceback
    traceback.print_exc()
    print "[Seasondream] Unable to load translation "+str(e)
    