# -*- coding: UTF-8 -*-
# Copyright 2013-2017 John Red.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from Screens.Screen import Screen
from Components.Label import Label
from enigma import eTimer # @UnresolvedImport
try:
    from Plugins.Extensions.Seasondream.panels.LcdPanel import LcdPanel
except ImportError,e:
    import traceback
    traceback.print_exc()

class SplashScreen(Screen):

    def __init__(self, session, text):
        Screen.__init__(self, session)
        self["notice"]=Label(text)
        
        self.onLayoutFinish.append(self._onLayoutFinished)
        self.hide_timer = eTimer()
        try:
            self.hide_timer_conn = self.hide_timer.timeout.connect(self._hide)
        except AttributeError:
            self.hide_timer.callback.append(self._hide)
        
    
    def _hide(self):
        self.hide_timer.stop()
        self.hide()

    def _onLayoutFinished(self):
        self.hide_timer.start(6000, True)
        pass
    def _start(self):
        pass

    def createSummary(self):
        return LcdPanel
