# -*- coding: UTF-8 -*-
# Copyright 2013-2017 John Red.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from Plugins.Plugin import PluginDescriptor
from Seasondream import Seasondream
try:
    from Plugins.Extensions.Seasondream.Config import cfg
    from Plugins.Extensions.Seasondream.Constants import const
    
except ImportError,e:
    import traceback
    traceback.print_exc()

def menu(menuid):
    if menuid == "mainmenu":
        return [("Seasondream", main, "Seasondream", 10)]
    return []

def menuIPTV(menuid):
    if menuid == "mainmenu":
        return [("SeasondreamTV", mainIPTV, "SeasondreamTV", 11)]
    return []

def main(session, **kwargs):
    session.open(Seasondream)    

def mainIPTV(session, **kwargs):
    session.open(Seasondream, iptv=True)    

def Plugins(path, **kwargs):
    global plugin_path
    plugin_path = path
    pd=[PluginDescriptor(
        name="Seasondream",
        description=const.TEXT_SD_DESC,
        where=PluginDescriptor.WHERE_PLUGINMENU,
        icon = "seasondream.png",
        fnc=main),
        PluginDescriptor(
        name="SeasondreamTV",
        description=const.TEXT_SDTV_DESC,
        where=PluginDescriptor.WHERE_PLUGINMENU,
        icon = "seasondream.png",
        fnc=mainIPTV)]

    if(cfg.isShowIpTvMainMenu()):
        pd.append(PluginDescriptor(
        name="SeasondreamTV",
        description="Seasondream",
        where=PluginDescriptor.WHERE_MENU,
        fnc=menuIPTV))
    
    if(cfg.isShowMainMenu()):
        pd.append(PluginDescriptor(
        name="Seasondream",
        description="Seasondream",
        where=PluginDescriptor.WHERE_MENU,
        fnc=menu))
        
    return pd