# -*- coding: UTF-8 -*-
# Copyright 2013-2017 John Red.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

try:
    from Plugins.Extensions.Seasondream.plugins.Plugin import Plugin
except ImportError:
    try:
        from Plugins.Extensions.Seasondream.plugins.Plugin import Plugin
    except ImportError:
        from plugins.Plugin import Plugin


class IPTVChannelMapper(Plugin):

    PROVIDER_ID=1000
    MAP={
'первый':{'chid':2,'catid':1,'catname':'Общие'},\
'первый-всемирная сеть':{'chid':371,'catid':1,'catname':'Общие'},\
'первый hd':{'chid':815,'catid':1,'catname':'Общие'},\
'россия 1':{'chid':3,'catid':1,'catname':'Общие'},\
'ртр-планета':{'chid':373,'catid':1,'catname':'Общие'},\
'россия 1 hd':{'chid':817,'catid':1,'catname':'Общие'},\
'нтв':{'chid':4,'catid':1,'catname':'Общие'},\
'нтв hd':{'chid':1521,'catid':1,'catname':'Общие'},\
'рентв':{'chid':7,'catid':1,'catname':'Общие'},\
'тнт':{'chid':1199,'catid':1,'catname':'Общие'},\
'дождь':{'chid':1053,'catid':1,'catname':'Общие'},\
'твц':{'chid':5,'catid':1,'catname':'Общие'},\
'tvci':{'chid':1533,'catid':1,'catname':'Общие'},\
'цтв':{'chid':1781,'catid':1,'catname':'Общие'},\
'стс':{'chid':391,'catid':1,'catname':'Общие'},\
'новый мир':{'chid':1783,'catid':1,'catname':'Общие'},\
'r1':{'chid':1487,'catid':1,'catname':'Общие'},\
'rtvi':{'chid':1547,'catid':1,'catname':'Общие'},\
'че':{'chid':15,'catid':1,'catname':'Общие'},\
'перец international':{'chid':1481,'catid':1,'catname':'Общие'},\
'домашний':{'chid':14,'catid':1,'catname':'Общие'},\
'домашний international':{'chid':1479,'catid':1,'catname':'Общие'},\
'5 канал петербург':{'chid':61,'catid':1,'catname':'Общие'},\
'тв3':{'chid':85,'catid':1,'catname':'Общие'},\
'8 канал':{'chid':1525,'catid':1,'catname':'Общие'},\
'грозный тв':{'chid':151,'catid':1,'catname':'Общие'},\
'нтв право':{'chid':2015,'catid':3,'catname':'Познавательные'},\
'бобёр':{'chid':2041,'catid':3,'catname':'Познавательные'},\
'история':{'chid':1455,'catid':3,'catname':'Познавательные'},\
'техно 24':{'chid':1453,'catid':3,'catname':'Познавательные'},\
'живая планета':{'chid':1437,'catid':3,'catname':'Познавательные'},\
'моя планета':{'chid':1063,'catid':3,'catname':'Познавательные'},\
'рыбалка и охота':{'chid':1489,'catid':3,'catname':'Познавательные'},\
'ностальгия':{'chid':13,'catid':3,'catname':'Познавательные'},\
'наука 2.0':{'chid':605,'catid':3,'catname':'Познавательные'},\
'россия к':{'chid':26,'catid':3,'catname':'Познавательные'},\
'совершенно секретно':{'chid':41,'catid':3,'catname':'Познавательные'},\
'discovery channel':{'chid':71,'catid':3,'catname':'Познавательные'},\
'discovery science':{'chid':795,'catid':3,'catname':'Познавательные'},\
'investigation discovery':{'chid':797,'catid':3,'catname':'Познавательные'},\
'animal planet':{'chid':799,'catid':3,'catname':'Познавательные'},\
'планета hd':{'chid':1089,'catid':3,'catname':'Познавательные'},\
'кто есть кто':{'chid':235,'catid':3,'catname':'Познавательные'},\
'авто плюс':{'chid':237,'catid':3,'catname':'Познавательные'},\
'мама':{'chid':1457,'catid':3,'catname':'Познавательные'},\
'rtд hd':{'chid':1515,'catid':3,'catname':'Познавательные'},\
'жизнь hd':{'chid':603,'catid':3,'catname':'Познавательные'},\
'24 док':{'chid':28,'catid':3,'catname':'Познавательные'},\
'мужской':{'chid':1177,'catid':3,'catname':'Познавательные'},\
'кухня тв':{'chid':51,'catid':3,'catname':'Познавательные'},\
'телекафе':{'chid':253,'catid':3,'catname':'Познавательные'},\
'365 дней тв':{'chid':89,'catid':3,'catname':'Познавательные'},\
'твой дом':{'chid':1815,'catid':3,'catname':'Познавательные'},\
'загородная жизнь':{'chid':1175,'catid':3,'catname':'Познавательные'},\
'travel сhannel':{'chid':653,'catid':3,'catname':'Познавательные'},\
'food network':{'chid':1523,'catid':3,'catname':'Познавательные'},\
'fine living':{'chid':1527,'catid':3,'catname':'Познавательные'},\
'россия 24':{'chid':6,'catid':5,'catname':'Новости'},\
'euronews':{'chid':339,'catid':5,'catname':'Новости'},\
'рбк тв':{'chid':73,'catid':5,'catname':'Новости'},\
'l!fe':{'chid':1467,'catid':5,'catname':'Новости'},\
'rt':{'chid':883,'catid':5,'catname':'Новости'},\
'нтв стиль':{'chid':2017,'catid':7,'catname':'Развлекательные'},\
'квн тв':{'chid':2019,'catid':7,'catname':'Развлекательные'},\
'тнт':{'chid':8,'catid':7,'catname':'Развлекательные'},\
'пятница!':{'chid':39,'catid':7,'catname':'Развлекательные'},\
'сарафан':{'chid':1451,'catid':7,'catname':'Развлекательные'},\
'тнт 4':{'chid':1935,'catid':7,'catname':'Развлекательные'},\
'время':{'chid':91,'catid':7,'catname':'Развлекательные'},\
'юмортв':{'chid':343,'catid':7,'catname':'Развлекательные'},\
'world fashion':{'chid':139,'catid':7,'catname':'Развлекательные'},\
'fashion tv':{'chid':137,'catid':7,'catname':'Развлекательные'},\
'о!':{'chid':2039,'catid':9,'catname':'Детские'},\
'мульт':{'chid':1449,'catid':9,'catname':'Детские'},\
'карусель':{'chid':19,'catid':9,'catname':'Детские'},\
'карамелька':{'chid':1747,'catid':9,'catname':'Детские'},\
'tiji':{'chid':845,'catid':9,'catname':'Детские'},\
'мультимания':{'chid':20,'catid':9,'catname':'Детские'},\
'детский мир / телеклуб':{'chid':1201,'catid':9,'catname':'Детские'},\
'смайлик тв':{'chid':1551,'catid':9,'catname':'Детские'},\
'gulli':{'chid':847,'catid':9,'catname':'Детские'},\
'муз-тв':{'chid':895,'catid':11,'catname':'Музыкальные'},\
'тнт music':{'chid':2057,'catid':11,'catname':'Музыкальные'},\
'ru tv':{'chid':22,'catid':11,'catname':'Музыкальные'},\
'музыка первого':{'chid':21,'catid':11,'catname':'Музыкальные'},\
'шансон тв':{'chid':725,'catid':11,'catname':'Музыкальные'},\
'ля минор':{'chid':49,'catid':11,'catname':'Музыкальные'},\
'europa plus tv':{'chid':647,'catid':11,'catname':'Музыкальные'},\
'первый музыкальный':{'chid':291,'catid':11,'catname':'Музыкальные'},\
'music box ru':{'chid':229,'catid':11,'catname':'Музыкальные'},\
'1муз':{'chid':1403,'catid':11,'catname':'Музыкальные'},\
'rusong':{'chid':369,'catid':11,'catname':'Музыкальные'},\
'music box tv':{'chid':231,'catid':11,'catname':'Музыкальные'},\
'матч! тв':{'chid':25,'catid':15,'catname':'Спортивные'},\
'матч! тв hd':{'chid':1545,'catid':15,'catname':'Спортивные'},\
'матч! боец':{'chid':27,'catid':15,'catname':'Спортивные'},\
'матч! планета':{'chid':209,'catid':15,'catname':'Спортивные'},\
'матч! арена':{'chid':383,'catid':15,'catname':'Спортивные'},\
'матч! арена (hd)':{'chid':583,'catid':15,'catname':'Спортивные'},\
'матч! игра':{'chid':1817,'catid':15,'catname':'Спортивные'},\
'матч! игра hd':{'chid':839,'catid':15,'catname':'Спортивные'},\
'наш футбол':{'chid':177,'catid':15,'catname':'Спортивные'},\
'телеканал кхл':{'chid':53,'catid':15,'catname':'Спортивные'},\
'кхл тв hd':{'chid':1537,'catid':15,'catname':'Спортивные'},\
'бокс тв':{'chid':1539,'catid':15,'catname':'Спортивные'},\
'm-1 global hd':{'chid':1989,'catid':15,'catname':'Спортивные'},\
'русский экстрим':{'chid':45,'catid':15,'catname':'Спортивные'},\
'конный мир hd':{'chid':2033,'catid':15,'catname':'Спортивные'},\
'extreme sports':{'chid':1529,'catid':15,'catname':'Спортивные'},\
'1+1':{'chid':29,'catid':17,'catname':'Интернациональные'},\
'1+1 international':{'chid':779,'catid':17,'catname':'Интернациональные'},\
'интер':{'chid':1811,'catid':17,'catname':'Интернациональные'},\
'inter+':{'chid':33,'catid':17,'catname':'Интернациональные'},\
'стб':{'chid':67,'catid':17,'catname':'Интернациональные'},\
'ictv':{'chid':69,'catid':17,'catname':'Интернациональные'},\
'112 украина':{'chid':1473,'catid':17,'catname':'Интернациональные'},\
'новый канал':{'chid':145,'catid':17,'catname':'Интернациональные'},\
'5 канал':{'chid':30,'catid':17,'catname':'Интернациональные'},\
'newsone':{'chid':1493,'catid':17,'catname':'Интернациональные'},\
'ua tv':{'chid':1813,'catid':17,'catname':'Интернациональные'},\
'перший':{'chid':147,'catid':17,'catname':'Интернациональные'},\
'беларусь 24':{'chid':149,'catid':17,'catname':'Интернациональные'},\
'тсв':{'chid':47,'catid':17,'catname':'Интернациональные'},\
'kazakh tv':{'chid':787,'catid':17,'catname':'Интернациональные'},\
'uzbekistan':{'chid':777,'catid':17,'catname':'Интернациональные'},\
'uzreport':{'chid':1785,'catid':17,'catname':'Интернациональные'},\
'aztv':{'chid':719,'catid':17,'catname':'Интернациональные'},\
'xezer xeber':{'chid':1099,'catid':17,'catname':'Интернациональные'},\
'ictimai tv':{'chid':1101,'catid':17,'catname':'Интернациональные'},\
'таджикистан':{'chid':1791,'catid':17,'catname':'Интернациональные'},\
'mtv.am hd':{'chid':1553,'catid':17,'catname':'Интернациональные'},\
'armenia 1 tv':{'chid':737,'catid':17,'catname':'Интернациональные'},\
'armenia tv':{'chid':1805,'catid':17,'catname':'Интернациональные'},\
'ltv7':{'chid':861,'catid':17,'catname':'Интернациональные'},\
'брат тв':{'chid':365,'catid':17,'catname':'Интернациональные'},\
'тбн россия':{'chid':269,'catid':17,'catname':'Интернациональные'},\
'союз':{'chid':377,'catid':17,'catname':'Интернациональные'},\
'спас':{'chid':381,'catid':17,'catname':'Интернациональные'},\
'cnl':{'chid':129,'catid':17,'catname':'Интернациональные'},\
'das erste':{'chid':783,'catid':89,'catname':'Германия'},\
'zdf':{'chid':785,'catid':89,'catname':'Германия'},\
'kika':{'chid':1497,'catid':89,'catname':'Германия'},\
'3 sat':{'chid':1499,'catid':89,'catname':'Германия'},\
'arte':{'chid':763,'catid':89,'catname':'Германия'},\
'mdr':{'chid':1501,'catid':89,'catname':'Германия'},\
'ndr':{'chid':1503,'catid':89,'catname':'Германия'},\
'br':{'chid':1509,'catid':89,'catname':'Германия'},\
'swr':{'chid':1507,'catid':89,'catname':'Германия'},\
'bbc':{'chid':1511,'catid':89,'catname':'Германия'},\
'sr':{'chid':1505,'catid':89,'catname':'Германия'},\
'9 канал':{'chid':213,'catid':121,'catname':'Израиль'},\
'iland':{'chid':1531,'catid':121,'catname':'Израиль'},\
'нтв сериал':{'chid':2013,'catid':19,'catname':'Фильмы / Сериалы'},\
'кинохит':{'chid':833,'catid':19,'catname':'Фильмы / Сериалы'},\
'кинопремьера hd':{'chid':585,'catid':19,'catname':'Фильмы / Сериалы'},\
'киномикс':{'chid':259,'catid':19,'catname':'Фильмы / Сериалы'},\
'звезда':{'chid':87,'catid':19,'catname':'Фильмы / Сериалы'},\
'наше новое кино':{'chid':1107,'catid':19,'catname':'Фильмы / Сериалы'},\
'русский бестселлер':{'chid':1439,'catid':19,'catname':'Фильмы / Сериалы'},\
'киносемья':{'chid':1105,'catid':19,'catname':'Фильмы / Сериалы'},\
'дом кино':{'chid':12,'catid':19,'catname':'Фильмы / Сериалы'},\
'родное кино':{'chid':831,'catid':19,'catname':'Фильмы / Сериалы'},\
'нст':{'chid':16,'catid':19,'catname':'Фильмы / Сериалы'},\
'бестселлер +':{'chid':1513,'catid':19,'catname':'Фильмы / Сериалы'},\
'наше любимое кино':{'chid':1203,'catid':19,'catname':'Фильмы / Сериалы'},\
'киносерия':{'chid':10,'catid':19,'catname':'Фильмы / Сериалы'},\
'мир сериала':{'chid':1265,'catid':19,'catname':'Фильмы / Сериалы'},\
'индийское кино':{'chid':17,'catid':19,'catname':'Фильмы / Сериалы'},\
'кинозал 1':{'chid':163,'catid':19,'catname':'Фильмы / Сериалы'},\
'кинозал 2':{'chid':165,'catid':19,'catname':'Фильмы / Сериалы'},\
'кинозал 3':{'chid':167,'catid':19,'catname':'Фильмы / Сериалы'},\
'кинозал 4':{'chid':169,'catid':19,'catname':'Фильмы / Сериалы'},\
'кинозал 5':{'chid':171,'catid':19,'catname':'Фильмы / Сериалы'},\
'кинозал 6':{'chid':173,'catid':19,'catname':'Фильмы / Сериалы'},\
'кинозал hd 1':{'chid':261,'catid':19,'catname':'Фильмы / Сериалы'},\
'кинозал hd 2':{'chid':295,'catid':19,'catname':'Фильмы / Сериалы'},\
'кинозал hd 3':{'chid':297,'catid':19,'catname':'Фильмы / Сериалы'},\
'кинозал hd 4':{'chid':309,'catid':19,'catname':'Фильмы / Сериалы'},\
'кинозал fullhd':{'chid':207,'catid':19,'catname':'Фильмы / Сериалы'},\
'кинозал 3d':{'chid':393,'catid':19,'catname':'Фильмы / Сериалы'},\
'vivid tv':{'chid':2037,'catid':21,'catname':'Эротические'},\
'private tv':{'chid':1057,'catid':21,'catname':'Эротические'},\
'hustler':{'chid':1425,'catid':21,'catname':'Эротические'},\
'redlight':{'chid':1427,'catid':21,'catname':'Эротические'},\
'hustler hd':{'chid':1059,'catid':21,'catname':'Эротические'},\
'redlight hd':{'chid':1061,'catid':21,'catname':'Эротические'},\
'русская ночь':{'chid':257,'catid':21,'catname':'Эротические'},\
'radio kartina':{'chid':1055,'catid':23,'catname':'Радио'},\
'радио дача':{'chid':189,'catid':23,'catname':'Радио'},\
'шансон':{'chid':99,'catid':23,'catname':'Радио'},\
'ретро fm':{'chid':101,'catid':23,'catname':'Радио'},\
'love radio':{'chid':95,'catid':23,'catname':'Радио'},\
'радио германия':{'chid':211,'catid':23,'catname':'Радио'},\
'музыка авторадио':{'chid':93,'catid':23,'catname':'Радио'},\
'релакс фм':{'chid':201,'catid':23,'catname':'Радио'},\
'эхо москвы':{'chid':107,'catid':23,'catname':'Радио'},\
'наше радио':{'chid':111,'catid':23,'catname':'Радио'},\
'юмор фм':{'chid':191,'catid':23,'catname':'Радио'},\
'дети fm':{'chid':131,'catid':23,'catname':'Радио'},\
'радио давидсон':{'chid':203,'catid':23,'catname':'Радио'},\
'первое радио 89.1 fm':{'chid':1469,'catid':23,'catname':'Радио'},\
'ultra':{'chid':113,'catid':23,'catname':'Радио'},\
'nvc радио':{'chid':217,'catid':23,'catname':'Радио'},\

}




    def __init__(self, api):
        Plugin.__init__(self, api)

    def isSeekable(self):
        return False

    def to_lower(self,s):
        dictionary={'Й':'й','Ц':'ц','У':'у','К':'к','Е':'е','Н':'н','Г':'г','Ш':'ш','Щ':'щ','З':'з','Х':'х','Ъ':'ъ','Ф':'ф','Ы':'ы','В':'в','А':'а','П':'п','Р':'р','О':'о','Л':'л','Д':'д','Ж':'ж','Э':'э','Я':'я','Ч':'ч','С':'с','М':'м','И':'и','Т':'т','Ь':'ь','Б':'б','Ю':'ю'}
        return reduce(lambda x,y: x.replace(y,dictionary[y]), dictionary,s)
    

    def _getPlaylist(self, name):
        # map name to available channel id
        name=self.to_lower(name.encode("utf-8")).lower()
        if(name in self.MAP):
            return self.MAP[name]
        return {'chid':-1,'catid':-2,'catname':'Остальные'}
        
        
