# -*- coding: UTF-8 -*-
# Copyright 2013-2017 John Red.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

try:
    from Plugins.Extensions.Seasondream.plugins.Plugin import Plugin
except ImportError:
    try:
        from Plugins.Extensions.Seasondream.plugins.Plugin import Plugin
    except ImportError:
        from plugins.Plugin import Plugin


class IPTVEPGMapper(Plugin):

    PROVIDER_ID=1001
    MAP={
'MTV Russia':{'chid':908, 'channel_provider':1},\
'Playboy TV':{'chid':172, 'channel_provider':1},\
'Playboy':{'chid':172, 'channel_provider':1},\
'AMEDIA HIT HD':{'chid':1016, 'channel_provider':1},\
'AMEDIA HIT SD':{'chid':1016, 'channel_provider':1},\
'AMEDIA PREMIUM SD':{'chid':896, 'channel_provider':1},\
'Brazzers TV':{'chid':143, 'channel_provider':1},\
'Travel+ Adventure HD':{'chid':833, 'channel_provider':1},\
'Travel+ Adventure':{'chid':833, 'channel_provider':1},\
'Zee TV':{'chid':442, 'channel_provider':1},\
'Дождь':{'chid':675, 'channel_provider':1},\
'МИР':{'chid':838, 'channel_provider':1},\
'МИР 24':{'chid':965, 'channel_provider':1},\
'Ю ТВ':{'chid':49, 'channel_provider':1},\
'КИНОСОЮЗ':{'chid':261, 'channel_provider':1},\
'Москва 24':{'chid':123, 'channel_provider':1},\
'Авто 24':{'chid':924, 'channel_provider':1},\
'Paramount Channel':{'chid':935, 'channel_provider':1},\
'Paramount Channel HD':{'chid':935, 'channel_provider':1},\
'SET':{'chid':525, 'channel_provider':1},\
'SET HD':{'chid':783, 'channel_provider':1},\
'RU TV':{'chid':334, 'channel_provider':1},\
'2×2':{'chid':341, 'channel_provider':1},\
'Amedia 1 HD':{'chid':895, 'channel_provider':1},\
'English Club':{'chid':485, 'channel_provider':1},\
'Eurosport 2 HD':{'chid':229, 'channel_provider':1},\
'National Geographic Channel':{'chid':295, 'channel_provider':1},\
'ZeeTV':{'chid':442, 'channel_provider':1},\
'Авто 24 HD':{'chid':924, 'channel_provider':1},\
'Детский HD':{'chid':246, 'channel_provider':1},\
'Еврокино HD':{'chid':487, 'channel_provider':1},\
'Иллюзион+ HD':{'chid':327, 'channel_provider':1},\
'Матч ТВ HD':{'chid':1077, 'channel_provider':1},\
'ТНТ-Comedy TV':{'chid':476, 'channel_provider':1},\
'Русский иллюзион HD':{'chid':177, 'channel_provider':1},\
'MCM Top':{'chid':116, 'channel_provider':1},\
'RU TV':{'chid':334, 'channel_provider':1},\
'Russia today HD':{'chid':851, 'channel_provider':1},\
'Teletravel HD':{'chid':619, 'channel_provider':1},\
'Russian Music Box':{'chid':412, 'channel_provider':1},\
'SET (Sony TV)':{'chid':525, 'channel_provider':1},\
'SONY ТВ':{'chid':525, 'channel_provider':1},\
'Ля-Минор':{'chid':297, 'channel_provider':1},\
'ТВ Центр (ТВЦ)':{'chid':11, 'channel_provider':1},\


######################################################################
'бизнес украина':{'chid':936,'channel_provider':2},\
'бизнес':{'chid':936,'channel_provider':2},\
'business (украина)':{'chid':936,'channel_provider':2},\
'piksel':{'chid':940,'channel_provider':2},\
'піксель':{'chid':940,'channel_provider':2},\
'пиксель':{'chid':940,'channel_provider':2},\
'zum':{'chid':1009,'channel_provider':2},\
'зум':{'chid':1009,'channel_provider':2},\
'zoom':{'chid':1009,'channel_provider':2},\
'гтрк-крым':{'chid':1324,'channel_provider':2},\
'крым-1':{'chid':1324,'channel_provider':2},\
'крым1':{'chid':1324,'channel_provider':2},\
'крым 1':{'chid':1324,'channel_provider':2},\
'крым гтрк':{'chid':1324,'channel_provider':2},\
'гтрк крым':{'chid':1324,'channel_provider':2},\
'итв':{'chid':1325,'channel_provider':2},\
'эхо tv':{'chid':1046,'channel_provider':2},\
'фешн ван':{'chid':1030,'channel_provider':2},\
'фешн ван hd':{'chid':1030,'channel_provider':2},\
'fashion-one hd':{'chid':1030,'channel_provider':2},\
'fashion-one':{'chid':1030,'channel_provider':2},\
'fashion one hd':{'chid':1030,'channel_provider':2},\
'аутдор hd':{'chid':1033,'channel_provider':2},\
'аутдор ченнел hd':{'chid':1033,'channel_provider':2},\
'outdoor-hd':{'chid':1033,'channel_provider':2},\
'outdoorhd':{'chid':1033,'channel_provider':2},\
'outdoor channel hd':{'chid':1033,'channel_provider':2},\
'outdoor hd':{'chid':1033,'channel_provider':2},\
'khl hd':{'chid':1038,'channel_provider':2},\
'кхл hd':{'chid':1038,'channel_provider':2},\
'amedia 1':{'chid':1371,'channel_provider':2},\
'amedia-1':{'chid':1371,'channel_provider':2},\
'амедиа 1':{'chid':1371,'channel_provider':2},\
'амедиа-1':{'chid':1371,'channel_provider':2},\
'амедиа1':{'chid':1371,'channel_provider':2},\
'амедия 1':{'chid':1371,'channel_provider':2},\
'амедия-1':{'chid':1371,'channel_provider':2},\
'амедия1':{'chid':1371,'channel_provider':2},\
'a1':{'chid':1371,'channel_provider':2},\
'kino tv':{'chid':1037,'channel_provider':2},\
'kino тв':{'chid':1037,'channel_provider':2},\
'kino-tv':{'chid':1037,'channel_provider':2},\
'kino-тв':{'chid':1037,'channel_provider':2},\
'кино-тв':{'chid':1037,'channel_provider':2},\
'кино тв':{'chid':1037,'channel_provider':2},\
'tv 1000 comedy hd':{'chid':1011,'channel_provider':2},\
'tv 1000 comedy хд':{'chid':1011,'channel_provider':2},\
'tv 1000 камеди':{'chid':1011,'channel_provider':2},\
'tv 1000 комеди':{'chid':1011,'channel_provider':2},\
'tv-1000 comedy hd':{'chid':1011,'channel_provider':2},\
'tv-1000 comedy хд':{'chid':1011,'channel_provider':2},\
'tv-1000 камеди':{'chid':1011,'channel_provider':2},\
'tv-1000 комеди':{'chid':1011,'channel_provider':2},\
'tv1000 comedy':{'chid':1011,'channel_provider':2},\
'tv1000 comedy хд':{'chid':1011,'channel_provider':2},\
'tv1000 камеди':{'chid':1011,'channel_provider':2},\
'tv1000 комеди':{'chid':1011,'channel_provider':2},\
'тв 1000 comedy':{'chid':1011,'channel_provider':2},\
'тв 1000 comedy hd':{'chid':1011,'channel_provider':2},\
'тв 1000 comedy хд':{'chid':1011,'channel_provider':2},\
'тв 1000 камеди':{'chid':1011,'channel_provider':2},\
'тв 1000 комеди':{'chid':1011,'channel_provider':2},\
'тв-1000 comedy':{'chid':1011,'channel_provider':2},\
'тв-1000 comedy hd':{'chid':1011,'channel_provider':2},\
'тв-1000 comedy хд':{'chid':1011,'channel_provider':2},\
'тв-1000 камеди':{'chid':1011,'channel_provider':2},\
'тв-1000 комеди':{'chid':1011,'channel_provider':2},\
'тв1000 comedy':{'chid':1011,'channel_provider':2},\
'тв1000 comedy hd':{'chid':1011,'channel_provider':2},\
'тв1000 comedy хд':{'chid':1011,'channel_provider':2},\
'тв1000 камеди':{'chid':1011,'channel_provider':2},\
'тв1000 комеди':{'chid':1011,'channel_provider':2},\
'tv1000 comedy hd':{'chid':1011,'channel_provider':2},\
'tv 1000 megahit':{'chid':1012,'channel_provider':2},\
'tv 1000 megahit hd':{'chid':1012,'channel_provider':2},\
'tv 1000 megahit хд':{'chid':1012,'channel_provider':2},\
'tv 1000 мегахит':{'chid':1012,'channel_provider':2},\
'tv-1000 megahit':{'chid':1012,'channel_provider':2},\
'tv-1000 megahit hd':{'chid':1012,'channel_provider':2},\
'tv-1000 megahit хд':{'chid':1012,'channel_provider':2},\
'tv-1000 мегахит':{'chid':1012,'channel_provider':2},\
'tv1000 megahit':{'chid':1012,'channel_provider':2},\
'tv1000 megahit хд':{'chid':1012,'channel_provider':2},\
'tv1000 мегахит':{'chid':1012,'channel_provider':2},\
'тв 1000 мегахит':{'chid':1012,'channel_provider':2},\
'тв 1000 мегахит hd':{'chid':1012,'channel_provider':2},\
'тв 1000 мегахит хд':{'chid':1012,'channel_provider':2},\
'тв-1000 мегахит':{'chid':1012,'channel_provider':2},\
'тв-1000 мегахит hd':{'chid':1012,'channel_provider':2},\
'тв-1000 мегахит хд':{'chid':1012,'channel_provider':2},\
'тв1000 мегахит':{'chid':1012,'channel_provider':2},\
'тв1000 мегахит hd':{'chid':1012,'channel_provider':2},\
'тв1000 мегахит хд':{'chid':1012,'channel_provider':2},\
'tv1000 megahit hd':{'chid':1012,'channel_provider':2},\
'tv1000 premium hd':{'chid':1013,'channel_provider':2},\
'amedia-hd':{'chid':1372,'channel_provider':2},\
'amedia hd':{'chid':1372,'channel_provider':2},\
'amedia premium':{'chid':1372,'channel_provider':2},\
'amedia-premium':{'chid':1372,'channel_provider':2},\
'amediahd':{'chid':1372,'channel_provider':2},\
'premium amedia':{'chid':1372,'channel_provider':2},\
'premium-amedia':{'chid':1372,'channel_provider':2},\
'амедиа хд':{'chid':1372,'channel_provider':2},\
'амедиа премиум':{'chid':1372,'channel_provider':2},\
'амедия хд':{'chid':1372,'channel_provider':2},\
'амедия премиум':{'chid':1372,'channel_provider':2},\
'amedia premium hd':{'chid':1372,'channel_provider':2},\
'travel + hd':{'chid':1035,'channel_provider':2},\
'travel + adventure hd':{'chid':1035,'channel_provider':2},\
'travel +adventure hd':{'chid':1035,'channel_provider':2},\
'travel adventure hd':{'chid':1035,'channel_provider':2},\
'travel and adventure hd':{'chid':1035,'channel_provider':2},\
'travel plus adventure hd':{'chid':1035,'channel_provider':2},\
'travel&adventure hd':{'chid':1035,'channel_provider':2},\
'travel+hd':{'chid':1035,'channel_provider':2},\
'travel+ adventure hd':{'chid':1035,'channel_provider':2},\
'travel-adventure hd':{'chid':1035,'channel_provider':2},\
'тревел + эдвенчер hd':{'chid':1035,'channel_provider':2},\
'тревел +эдвенчер hd':{'chid':1035,'channel_provider':2},\
'тревел+ эдвенчер hd':{'chid':1035,'channel_provider':2},\
'тревел+эдвенчер hd':{'chid':1035,'channel_provider':2},\
'travel+adventure hd':{'chid':1035,'channel_provider':2},\
'фокс хд':{'chid':1031,'channel_provider':2},\
'фокс hd':{'chid':1031,'channel_provider':2},\
'foxhd':{'chid':1031,'channel_provider':2},\
'fox hd':{'chid':1031,'channel_provider':2},\
'сони хд':{'chid':1034,'channel_provider':2},\
'sony hd':{'chid':1034,'channel_provider':2},\
'sony tv':{'chid':1034,'channel_provider':2},\
'sony тв':{'chid':1034,'channel_provider':2},\
'сони тв':{'chid':1034,'channel_provider':2},\
'sony тв hd':{'chid':1034,'channel_provider':2},\
'история':{'chid':1036,'channel_provider':2},\
'матч! футбол 2 hd':{'chid':1042,'channel_provider':2},\
'матч! футбол 1 hd':{'chid':1043,'channel_provider':2},\
'life news':{'chid':1032,'channel_provider':2},\
'life-news':{'chid':1032,'channel_provider':2},\
'лайв ньюз':{'chid':1032,'channel_provider':2},\
'лайв ньюс':{'chid':1032,'channel_provider':2},\
'лайвньюз':{'chid':1032,'channel_provider':2},\
'лайвньюс':{'chid':1032,'channel_provider':2},\
'лайф ньюз':{'chid':1032,'channel_provider':2},\
'лайф ньюс':{'chid':1032,'channel_provider':2},\
'лайфньюз':{'chid':1032,'channel_provider':2},\
'лайфньюс':{'chid':1032,'channel_provider':2},\
'l!fe':{'chid':1032,'channel_provider':2},\
'м тиви раша':{'chid':1021,'channel_provider':2},\
'м тиви россия':{'chid':1021,'channel_provider':2},\
'мтиви раша':{'chid':1021,'channel_provider':2},\
'мтиви россия':{'chid':1021,'channel_provider':2},\
'м тв раша':{'chid':1021,'channel_provider':2},\
'м тв россия':{'chid':1021,'channel_provider':2},\
'мтв раша':{'chid':1021,'channel_provider':2},\
'мтв россия':{'chid':1021,'channel_provider':2},\
'm tv russia':{'chid':1021,'channel_provider':2},\
'mtv russia':{'chid':1021,'channel_provider':2},\
'матч! футбол 3':{'chid':1039,'channel_provider':2},\
'luxury':{'chid':1026,'channel_provider':2},\
'стс':{'chid':1322,'channel_provider':2},\
'стс лав':{'chid':1322,'channel_provider':2},\
'стс-love':{'chid':1322,'channel_provider':2},\
'стс love':{'chid':1322,'channel_provider':2},\
'iq-hd':{'chid':1330,'channel_provider':2},\
'iqhd':{'chid':1330,'channel_provider':2},\
'ай кью hd':{'chid':1330,'channel_provider':2},\
'айкью hd':{'chid':1330,'channel_provider':2},\
'планета hd':{'chid':1330,'channel_provider':2},\
'1 hd':{'chid':1329,'channel_provider':2},\
'1hd':{'chid':1329,'channel_provider':2},\
'мульт':{'chid':1332,'channel_provider':2},\
'mir-24':{'chid':1331,'channel_provider':2},\
'mir24':{'chid':1331,'channel_provider':2},\
'mir 24':{'chid':1331,'channel_provider':2},\
'мир-24':{'chid':1331,'channel_provider':2},\
'мир24':{'chid':1331,'channel_provider':2},\
'мир 24':{'chid':1331,'channel_provider':2},\
'живая природа':{'chid':1365,'channel_provider':2},\
'бокс-тв':{'chid':1376,'channel_provider':2},\
'бокств':{'chid':1376,'channel_provider':2},\
'бокс тв':{'chid':1376,'channel_provider':2},\
'страшноеhd':{'chid':1377,'channel_provider':2},\
'страшное-hd':{'chid':1377,'channel_provider':2},\
'страшное hd':{'chid':1377,'channel_provider':2},\
'хистори':{'chid':1394,'channel_provider':2},\
'history':{'chid':1394,'channel_provider':2},\
'болливуд hd':{'chid':1395,'channel_provider':2},\
'болливуд хд':{'chid':1395,'channel_provider':2},\
'боливуд hd':{'chid':1395,'channel_provider':2},\
'боливуд хд':{'chid':1395,'channel_provider':2},\
'bollywood-hd':{'chid':1395,'channel_provider':2},\
'bollywoodhd':{'chid':1395,'channel_provider':2},\
'bollywood hd':{'chid':1395,'channel_provider':2},\
'точка-тв':{'chid':1396,'channel_provider':2},\
'точкатв':{'chid':1396,'channel_provider':2},\
'точка тв':{'chid':1396,'channel_provider':2},\
'wbc':{'chid':1397,'channel_provider':2},\
'ворлд бизнес ченнел':{'chid':1397,'channel_provider':2},\
'world business channel':{'chid':1397,'channel_provider':2},\
'i concerts':{'chid':927,'channel_provider':2},\
'i-concerts':{'chid':927,'channel_provider':2},\
'iconcert':{'chid':927,'channel_provider':2},\
'stingray iconcerts':{'chid':927,'channel_provider':2},\
'тайны галактики':{'chid':924,'channel_provider':2},\
'театр':{'chid':925,'channel_provider':2},\
'inva tv':{'chid':916,'channel_provider':2},\
'inva media tv':{'chid':916,'channel_provider':2},\
'инва тв':{'chid':916,'channel_provider':2},\
'инва медиа':{'chid':916,'channel_provider':2},\
'инва медиа тв':{'chid':916,'channel_provider':2},\
'нхк тв':{'chid':921,'channel_provider':2},\
'nhk':{'chid':921,'channel_provider':2},\
'nhk tv':{'chid':921,'channel_provider':2},\
'nhk world':{'chid':921,'channel_provider':2},\
'nhk world tv':{'chid':921,'channel_provider':2},\
'интернет канал':{'chid':922,'channel_provider':2},\
'первый интернет канал':{'chid':922,'channel_provider':2},\
'amedia-2':{'chid':918,'channel_provider':2},\
'amedia2':{'chid':918,'channel_provider':2},\
'амедиа 2':{'chid':918,'channel_provider':2},\
'амедиа-2':{'chid':918,'channel_provider':2},\
'амедиа2':{'chid':918,'channel_provider':2},\
'амедия 2':{'chid':918,'channel_provider':2},\
'амедия-2':{'chid':918,'channel_provider':2},\
'амедия2':{'chid':918,'channel_provider':2},\
'a2':{'chid':918,'channel_provider':2},\
'фешн ван':{'chid':919,'channel_provider':2},\
'fashion-one':{'chid':919,'channel_provider':2},\
'fashion one':{'chid':919,'channel_provider':2},\
'дискавери восточная европа':{'chid':928,'channel_provider':2},\
'discovery восточная европа':{'chid':928,'channel_provider':2},\
'бумеранг':{'chid':929,'channel_provider':2},\
'boomerang':{'chid':929,'channel_provider':2},\
'nick jr.':{'chid':917,'channel_provider':2},\
'nickjr.':{'chid':917,'channel_provider':2},\
'nickjr':{'chid':917,'channel_provider':2},\
'никелодеон джуниор':{'chid':917,'channel_provider':2},\
'nick-jr':{'chid':917,'channel_provider':2},\
'nick jr':{'chid':917,'channel_provider':2},\
'синергия-тв':{'chid':932,'channel_provider':2},\
'синергиятв':{'chid':932,'channel_provider':2},\
'синергия тв':{'chid':932,'channel_provider':2},\
'татарстан новый век планета':{'chid':933,'channel_provider':2},\
'тнв планета':{'chid':933,'channel_provider':2},\
'тнв-планета':{'chid':933,'channel_provider':2},\
'metro-goldwyn-mayer hd':{'chid':934,'channel_provider':2},\
'mgm-hd':{'chid':934,'channel_provider':2},\
'metro goldwyn mayer hd':{'chid':934,'channel_provider':2},\
'mgm hd':{'chid':934,'channel_provider':2},\
'sony-turbo':{'chid':935,'channel_provider':2},\
'sonyturbo':{'chid':935,'channel_provider':2},\
'turbo sony':{'chid':935,'channel_provider':2},\
'turbo-sony':{'chid':935,'channel_provider':2},\
'turbosony':{'chid':935,'channel_provider':2},\
'сони турбо':{'chid':935,'channel_provider':2},\
'турбо сони':{'chid':935,'channel_provider':2},\
'sony turbo':{'chid':935,'channel_provider':2},\
'бибиси интертеймент':{'chid':278,'channel_provider':2},\
'би-би-си интертеймент':{'chid':278,'channel_provider':2},\
'би би си интертеймент':{'chid':278,'channel_provider':2},\
'bbc-entertainment':{'chid':278,'channel_provider':2},\
'bbc entertainment':{'chid':278,'channel_provider':2},\
'тв-биз':{'chid':797,'channel_provider':2},\
'биз-тв':{'chid':797,'channel_provider':2},\
'твбиз':{'chid':797,'channel_provider':2},\
'биз тв':{'chid':797,'channel_provider':2},\
'бизтв':{'chid':797,'channel_provider':2},\
'биз':{'chid':797,'channel_provider':2},\
'biz':{'chid':797,'channel_provider':2},\
'biz-tv':{'chid':797,'channel_provider':2},\
'biz tv':{'chid':797,'channel_provider':2},\
'tvbiz':{'chid':797,'channel_provider':2},\
'tv-biz':{'chid':797,'channel_provider':2},\
'biztv':{'chid':797,'channel_provider':2},\
'fine living':{'chid':393,'channel_provider':2},\
'ржд':{'chid':509,'channel_provider':2},\
'детский мир+телеклуб':{'chid':923,'channel_provider':2},\
'детский мир + телеклуб':{'chid':923,'channel_provider':2},\
'парамонт комедия':{'chid':920,'channel_provider':2},\
'парамонт камеди':{'chid':920,'channel_provider':2},\
'парамонт комеди':{'chid':920,'channel_provider':2},\
'парамаунт':{'chid':920,'channel_provider':2},\
'парамонт':{'chid':920,'channel_provider':2},\
'парамаунт комедия':{'chid':920,'channel_provider':2},\
'парамаунт комеди':{'chid':920,'channel_provider':2},\
'парамаунт камеди':{'chid':920,'channel_provider':2},\
'paramount':{'chid':920,'channel_provider':2},\
'paramount comedy':{'chid':920,'channel_provider':2},\
'еда':{'chid':931,'channel_provider':2},\
'tv eda':{'chid':930,'channel_provider':2},\
'еда hd':{'chid':930,'channel_provider':2},\
'muz tv':{'chid':897,'channel_provider':2},\
'muz-tv':{'chid':897,'channel_provider':2},\
'муз тв':{'chid':897,'channel_provider':2},\
'музтв':{'chid':897,'channel_provider':2},\
'муз-тв':{'chid':897,'channel_provider':2},\
'русский бестселлер':{'chid':994,'channel_provider':2},\
'cbs-drama':{'chid':911,'channel_provider':2},\
'drama cbs':{'chid':911,'channel_provider':2},\
'drama-cbs':{'chid':911,'channel_provider':2},\
'сбс драма':{'chid':911,'channel_provider':2},\
'сбс драмма':{'chid':911,'channel_provider':2},\
'сбиэс':{'chid':911,'channel_provider':2},\
'сибиэс':{'chid':911,'channel_provider':2},\
'сибиэс драма':{'chid':911,'channel_provider':2},\
'сибиэс драмма':{'chid':911,'channel_provider':2},\
'си би эс':{'chid':911,'channel_provider':2},\
'си би эс драма':{'chid':911,'channel_provider':2},\
'си би эс драмма':{'chid':911,'channel_provider':2},\
'cbs drama':{'chid':911,'channel_provider':2},\
'си би эс реалити':{'chid':912,'channel_provider':2},\
'сибиэс реалити':{'chid':912,'channel_provider':2},\
'cbs-reality':{'chid':912,'channel_provider':2},\
'сбс реалити':{'chid':912,'channel_provider':2},\
'cbs reality':{'chid':912,'channel_provider':2},\
'тревел +эдвенчер':{'chid':996,'channel_provider':2},\
'тревел+ эдвенчер':{'chid':996,'channel_provider':2},\
'тревел + эдвенчер':{'chid':996,'channel_provider':2},\
'тревел+эдвенчер':{'chid':996,'channel_provider':2},\
'travel +':{'chid':996,'channel_provider':2},\
'travel + adventure':{'chid':996,'channel_provider':2},\
'travel +adventure':{'chid':996,'channel_provider':2},\
'travel adventure':{'chid':996,'channel_provider':2},\
'travel and adventure':{'chid':996,'channel_provider':2},\
'travel plus adventure':{'chid':996,'channel_provider':2},\
'travel&adventure':{'chid':996,'channel_provider':2},\
'travel+':{'chid':996,'channel_provider':2},\
'travel+ adventure':{'chid':996,'channel_provider':2},\
'travel-adventure':{'chid':996,'channel_provider':2},\
'travel+adventure':{'chid':996,'channel_provider':2},\
'анимал планет hd':{'chid':990,'channel_provider':2},\
'анимал плэнет hd':{'chid':990,'channel_provider':2},\
'анимал пленет hd':{'chid':990,'channel_provider':2},\
'animal - planet - hd':{'chid':990,'channel_provider':2},\
'animal - planet hd':{'chid':990,'channel_provider':2},\
'animal-planet hd':{'chid':990,'channel_provider':2},\
'animal-planet-hd':{'chid':990,'channel_provider':2},\
'animal planet hd':{'chid':990,'channel_provider':2},\
'hd+kino':{'chid':987,'channel_provider':2},\
'hd-kino':{'chid':987,'channel_provider':2},\
'hd-кино':{'chid':987,'channel_provider':2},\
'kino+hd':{'chid':987,'channel_provider':2},\
'kino-hd':{'chid':987,'channel_provider':2},\
'кино+hd':{'chid':987,'channel_provider':2},\
'кино-hd':{'chid':987,'channel_provider':2},\
'кино+хд':{'chid':987,'channel_provider':2},\
'хд+кино':{'chid':987,'channel_provider':2},\
'киносемья':{'chid':987,'channel_provider':2},\
'россия 1 hd':{'chid':984,'channel_provider':2},\
'tv 1000 action':{'chid':125,'channel_provider':2},\
'tv 1000 экшн':{'chid':125,'channel_provider':2},\
'tv-1000 action':{'chid':125,'channel_provider':2},\
'tv-1000 экшн':{'chid':125,'channel_provider':2},\
'tv1000 экшн':{'chid':125,'channel_provider':2},\
'тв 1000 экшн':{'chid':125,'channel_provider':2},\
'тв 1000 актион':{'chid':125,'channel_provider':2},\
'тв-1000 экшн':{'chid':125,'channel_provider':2},\
'тв-1000 актион':{'chid':125,'channel_provider':2},\
'тв1000 экшн':{'chid':125,'channel_provider':2},\
'тв1000 актион':{'chid':125,'channel_provider':2},\
'tv1000 action':{'chid':125,'channel_provider':2},\
'улыбка ребенка':{'chid':789,'channel_provider':2},\
'успех':{'chid':547,'channel_provider':2},\
'vh 1 classic':{'chid':156,'channel_provider':2},\
'vh1-classic':{'chid':156,'channel_provider':2},\
'vh1':{'chid':156,'channel_provider':2},\
'vh1 classic':{'chid':156,'channel_provider':2},\
'vh1 europe':{'chid':491,'channel_provider':2},\
'vh1-european':{'chid':491,'channel_provider':2},\
'vh 1 european':{'chid':491,'channel_provider':2},\
'vh1european':{'chid':491,'channel_provider':2},\
'vh1 european':{'chid':491,'channel_provider':2},\
'sport viasat':{'chid':455,'channel_provider':2},\
'viasat-sport':{'chid':455,'channel_provider':2},\
'виасат спорт':{'chid':455,'channel_provider':2},\
'viasat sport':{'chid':455,'channel_provider':2},\
'вопросы-и-ответы':{'chid':333,'channel_provider':2},\
'voprosy i otvety':{'chid':333,'channel_provider':2},\
'вопросы и ответы':{'chid':333,'channel_provider':2},\
'оружие':{'chid':376,'channel_provider':2},\
'draiv':{'chid':505,'channel_provider':2},\
'drive':{'chid':505,'channel_provider':2},\
'драйв':{'chid':505,'channel_provider':2},\
'охотник и рыболов hd':{'chid':1681,'channel_provider':2},\
'discovery channel hd':{'chid':1612,'channel_provider':2},\
'русский детектив':{'chid':1570,'channel_provider':2},\
'лдпр тв':{'chid':1425,'channel_provider':2},\
'техно 24':{'chid':1436,'channel_provider':2},\
'hardlife tv':{'chid':1561,'channel_provider':2},\
'живая планета':{'chid':1562,'channel_provider':2},\
'мир увлечений':{'chid':1571,'channel_provider':2},\
'беларусь-24':{'chid':248,'channel_provider':2},\
'r1':{'chid':1674,'channel_provider':2},\
'рыжий':{'chid':1578,'channel_provider':2},\
'ginger hd':{'chid':1657,'channel_provider':2},\
'rtg international':{'chid':1660,'channel_provider':2},\
'бобер':{'chid':1662,'channel_provider':2},\
'мужское кино':{'chid':1584,'channel_provider':2},\
'кинопремиумhd':{'chid':1586,'channel_provider':2},\
'остросюжетное hd':{'chid':1588,'channel_provider':2},\
'комедия':{'chid':1620,'channel_provider':2},\
'insight ultra hd':{'chid':1663,'channel_provider':2},\
'калейдоскоп тв':{'chid':1666,'channel_provider':2},\
'матч! арена':{'chid':1667,'channel_provider':2},\
'матч! игра':{'chid':1668,'channel_provider':2},\
'матч! наш спорт':{'chid':1669,'channel_provider':2},\
'fuel tv hd':{'chid':1670,'channel_provider':2},\
'museum hd':{'chid':1672,'channel_provider':2},\
'game show':{'chid':1676,'channel_provider':2},\
'конный мир':{'chid':1679,'channel_provider':2},\
'наше тв':{'chid':1680,'channel_provider':2},\
'tv1000 russkoe kino international':{'chid':1693,'channel_provider':2},\
'h2':{'chid':1699,'channel_provider':2},\
'квн тв':{'chid':1700,'channel_provider':2},\
'food network':{'chid':1703,'channel_provider':2},\
'центральное телевидение (цтв)':{'chid':1702,'channel_provider':2},\
'fashion one 4k':{'chid':1719,'channel_provider':2},\
'открытый мир':{'chid':1713,'channel_provider':2},\
'твой дом':{'chid':1714,'channel_provider':2},\
'тлум hd':{'chid':1716,'channel_provider':2},\
'global star':{'chid':1720,'channel_provider':2},\
'mtv dance international':{'chid':1722,'channel_provider':2},\
'm tv hit':{'chid':1723,'channel_provider':2},\
'm tv hits':{'chid':1723,'channel_provider':2},\
'mtv hit':{'chid':1723,'channel_provider':2},\
'м тиви хитс':{'chid':1723,'channel_provider':2},\
'м тиви хит':{'chid':1723,'channel_provider':2},\
'мтв хит':{'chid':1723,'channel_provider':2},\
'мтв хитс':{'chid':1723,'channel_provider':2},\
'мтиви хитс':{'chid':1723,'channel_provider':2},\
'мтиви хит':{'chid':1723,'channel_provider':2},\
'mtv hits international':{'chid':1723,'channel_provider':2},\
'm tv rocks':{'chid':1721,'channel_provider':2},\
'mtv rock':{'chid':1721,'channel_provider':2},\
'м тв рок':{'chid':1721,'channel_provider':2},\
'м тв рокс':{'chid':1721,'channel_provider':2},\
'м тиви рок':{'chid':1721,'channel_provider':2},\
'м тиви рокс':{'chid':1721,'channel_provider':2},\
'мтв рок':{'chid':1721,'channel_provider':2},\
'мтв рокс':{'chid':1721,'channel_provider':2},\
'мтиви рок':{'chid':1721,'channel_provider':2},\
'мтиви рокс':{'chid':1721,'channel_provider':2},\
'mtv rocks international':{'chid':1721,'channel_provider':2},\
'shant premium':{'chid':1725,'channel_provider':2},\
'paramount channel':{'chid':1726,'channel_provider':2},\
'animal family hd':{'chid':1729,'channel_provider':2},\
'eureka hd':{'chid':1730,'channel_provider':2},\
'rtд':{'chid':1728,'channel_provider':2},\
'viasat golf':{'chid':1727,'channel_provider':2},\
'надежда':{'chid':1732,'channel_provider':2},\
'detektiv.tv':{'chid':1736,'channel_provider':2},\
'gamanoid tv':{'chid':1739,'channel_provider':2},\
'малыш':{'chid':1734,'channel_provider':2},\
'наш детектив':{'chid':1737,'channel_provider':2},\
'наш кинороман':{'chid':1738,'channel_provider':2},\
'trick':{'chid':1746,'channel_provider':2},\
'анекдот тв':{'chid':1743,'channel_provider':2},\
'новый мир':{'chid':1744,'channel_provider':2},\
'нтв право':{'chid':1753,'channel_provider':2},\
'нтв сериал':{'chid':1754,'channel_provider':2},\
'нтв стиль':{'chid':1755,'channel_provider':2},\
'о!':{'chid':1757,'channel_provider':2},\
'hitv':{'chid':1759,'channel_provider':2},\
'spike':{'chid':1760,'channel_provider':2},\
'hd медиа 3d':{'chid':1761,'channel_provider':2},\
'docubox hd':{'chid':1762,'channel_provider':2},\
'filmbox hd':{'chid':1763,'channel_provider':2},\
'russian extreme ultra hd':{'chid':1764,'channel_provider':2},\
'tvrus':{'chid':1765,'channel_provider':2},\
'мультик hd':{'chid':1766,'channel_provider':2},\
'h2 hd':{'chid':1772,'channel_provider':2},\
'мужское кино hd':{'chid':1773,'channel_provider':2},\
'тнт (international)':{'chid':1775,'channel_provider':2},\
######################################################################
'курай':{'chid':1122,'channel_provider':1},\
'erotica tv (для украины)':{'chid':1193,'channel_provider':1},\
'матч! футбол 3':{'chid':910,'channel_provider':1},\
'матч! футбол 2':{'chid':707,'channel_provider':1},\
'матч! футбол 1':{'chid':33,'channel_provider':1},\
'культура (+7)':{'chid':555,'channel_provider':1},\
'discovery world':{'chid':424,'channel_provider':1},\
'tlc россия hd':{'chid':901,'channel_provider':1},\
'travel+adventure hd':{'chid':833,'channel_provider':1},\
'стс (+7)':{'chid':508,'channel_provider':1},\
'страна советов':{'chid':275,'channel_provider':1},\
'trace sport stars hd':{'chid':798,'channel_provider':1},\
'trace urban hd':{'chid':1075,'channel_provider':1},\
'travel channel':{'chid':88,'channel_provider':1},\
'тнт (+2)':{'chid':556,'channel_provider':1},\
'setanta sports +':{'chid':984,'channel_provider':1},\
'тонус тв':{'chid':495,'channel_provider':1},\
'tv1000 east':{'chid':107,'channel_provider':1},\
'9 канал (израиль)':{'chid':1021,'channel_provider':1},\
'нтв-мир балтия':{'chid':1212,'channel_provider':1},\
'рен тв эстония':{'chid':1207,'channel_provider':1},\
'че':{'chid':56,'channel_provider':1},\
'viasat golf':{'chid':906,'channel_provider':1},\
'uatv':{'chid':689,'channel_provider':1},\
'1+1':{'chid':3,'channel_provider':1},\
'тнт (+4)':{'chid':557,'channel_provider':1},\
'cine+ legend':{'chid':979,'channel_provider':1},\
'живи hd':{'chid':1007,'channel_provider':1},\
'убр':{'chid':609,'channel_provider':1},\
'outdoor channel hd':{'chid':801,'channel_provider':1},\
'eurosport 2 hd':{'chid':1082,'channel_provider':1},\
'кухня тв':{'chid':383,'channel_provider':1},\
'zoom (на укр.)':{'chid':428,'channel_provider':1},\
'первый канал (россия)':{'chid':8,'channel_provider':1},\
'нтв (+2)':{'chid':545,'channel_provider':1},\
'матч! игра':{'chid':711,'channel_provider':1},\
'iconcerts':{'chid':797,'channel_provider':1},\
'волга':{'chid':1089,'channel_provider':1},\
'футбол (россия)':{'chid':440,'channel_provider':1},\
'arirang':{'chid':697,'channel_provider':1},\
'сонце':{'chid':874,'channel_provider':1},\
'cnl европа':{'chid':125,'channel_provider':1},\
'новый канал (на укр.)':{'chid':360,'channel_provider':1},\
'первый автомобильный':{'chid':435,'channel_provider':1},\
'luxe.tv hd':{'chid':536,'channel_provider':1},\
'zoom':{'chid':353,'channel_provider':1},\
'brain tv (на укр.)':{'chid':1161,'channel_provider':1},\
'страшное hd':{'chid':1031,'channel_provider':1},\
'первый канал (+2)':{'chid':541,'channel_provider':1},\
'крт':{'chid':149,'channel_provider':1},\
'новый мир':{'chid':1158,'channel_provider':1},\
'mgm hd':{'chid':780,'channel_provider':1},\
'к2 (на укр.)':{'chid':370,'channel_provider':1},\
'пятница (+3)':{'chid':1134,'channel_provider':1},\
'112 украина (на укр.)':{'chid':922,'channel_provider':1},\
'eu.music (на укр.)':{'chid':469,'channel_provider':1},\
'домашний (+4)':{'chid':562,'channel_provider':1},\
'м2 (на укр.)':{'chid':474,'channel_provider':1},\
'ua:перший / трк "эра" (на укр.)':{'chid':592,'channel_provider':1},\
'россия 24':{'chid':328,'channel_provider':1},\
'тет (на укр.)':{'chid':364,'channel_provider':1},\
'етно hd (на укр.)':{'chid':1188,'channel_provider':1},\
'newsone':{'chid':416,'channel_provider':1},\
'тнт (+7)':{'chid':558,'channel_provider':1},\
'mtvmix':{'chid':992,'channel_provider':1},\
'тв3 беларусь':{'chid':847,'channel_provider':1},\
'еспресо tv (на укр.)':{'chid':937,'channel_provider':1},\
'ren tv baltic':{'chid':1205,'channel_provider':1},\
'europa plus tv':{'chid':682,'channel_provider':1},\
'россия 1 (+4)':{'chid':549,'channel_provider':1},\
'blue hustler':{'chid':140,'channel_provider':1},\
'русский экстрим':{'chid':288,'channel_provider':1},\
'ltv1':{'chid':1202,'channel_provider':1},\
'34 канал (днепропетровск)':{'chid':903,'channel_provider':1},\
'eurosport 1 hd':{'chid':535,'channel_provider':1},\
'teletravel hd':{'chid':619,'channel_provider':1},\
'жест (космос тв)':{'chid':743,'channel_provider':1},\
'интер':{'chid':4,'channel_provider':1},\
'zik (на укр.)':{'chid':684,'channel_provider':1},\
'вита (на укр.)':{'chid':1009,'channel_provider':1},\
'a-one украина (на укр.)':{'chid':927,'channel_provider':1},\
'adult channel':{'chid':114,'channel_provider':1},\
'мтв':{'chid':710,'channel_provider':1},\
'лунапарк':{'chid':1041,'channel_provider':1},\
'deutsche welle (deutsch)':{'chid':1063,'channel_provider':1},\
'правдатут (на укр.)':{'chid':1088,'channel_provider':1},\
'ртр-планета европа':{'chid':98,'channel_provider':1},\
'viasat nature cee':{'chid':652,'channel_provider':1},\
'планета hd':{'chid':944,'channel_provider':1},\
'sony channel россия hd':{'chid':783,'channel_provider':1},\
'cine+ kids':{'chid':1110,'channel_provider':1},\
'дождь. optimistic channel hd':{'chid':856,'channel_provider':1},\
'erotica tv':{'chid':1136,'channel_provider':1},\
'nickelodeon россия':{'chid':45,'channel_provider':1},\
'пятница':{'chid':48,'channel_provider':1},\
'24 (телеканал новостей 24)':{'chid':298,'channel_provider':1},\
'стб (на укр.)':{'chid':359,'channel_provider':1},\
'звезда (+4)':{'chid':567,'channel_provider':1},\
'russia today россия':{'chid':864,'channel_provider':1},\
'трофей':{'chid':945,'channel_provider':1},\
'utv (стерлитамак)':{'chid':1042,'channel_provider':1},\
'nick jr':{'chid':728,'channel_provider':1},\
'bbc world news':{'chid':46,'channel_provider':1},\
'жара':{'chid':384,'channel_provider':1},\
'id xtra (европа)':{'chid':1000,'channel_provider':1},\
'viasat sport baltics':{'chid':504,'channel_provider':1},\
'киносвидание':{'chid':30,'channel_provider':1},\
'эфир-24 релакс':{'chid':1221,'channel_provider':1},\
'ua:крим (на укр.)':{'chid':828,'channel_provider':1},\
'z (запорожье) (на укр.)':{'chid':1237,'channel_provider':1},\
'трк "буковина" (на укр.)':{'chid':633,'channel_provider':1},\
'тлум hd':{'chid':1145,'channel_provider':1},\
'интер+ (на укр.)':{'chid':430,'channel_provider':1},\
'ua:крим':{'chid':827,'channel_provider':1},\
'стс-орск':{'chid':1093,'channel_provider':1},\
'kino polska international':{'chid':1210,'channel_provider':1},\
'history россия':{'chid':902,'channel_provider':1},\
'м1 (на укр.)':{'chid':366,'channel_provider':1},\
'информационный канал севастополя':{'chid':893,'channel_provider':1},\
'к1':{'chid':19,'channel_provider':1},\
'еспресо tv hd (на укр.)':{'chid':1154,'channel_provider':1},\
'9 волна':{'chid':909,'channel_provider':1},\
'cnl америка':{'chid':802,'channel_provider':1},\
'fox россия':{'chid':413,'channel_provider':1},\
'херсон плюс':{'chid':1172,'channel_provider':1},\
'еда hd':{'chid':795,'channel_provider':1},\
'ftv hd':{'chid':510,'channel_provider':1},\
'мир 24':{'chid':838,'channel_provider':1},\
'карусель (+7)':{'chid':731,'channel_provider':1},\
'нтв-америка':{'chid':1123,'channel_provider':1},\
'нта (на укр.)':{'chid':669,'channel_provider':1},\
'кино тв hd':{'chid':1117,'channel_provider':1},\
'cine+ legend (на укр.)':{'chid':980,'channel_provider':1},\
'чп.info (на укр.)':{'chid':472,'channel_provider':1},\
'тонис hd':{'chid':803,'channel_provider':1},\
'нтн (на укр.)':{'chid':367,'channel_provider':1},\
'о2тв':{'chid':257,'channel_provider':1},\
'ргвк дагестан':{'chid':858,'channel_provider':1},\
'ictv (на укр.)':{'chid':358,'channel_provider':1},\
'винтера (на укр.)':{'chid':1008,'channel_provider':1},\
'феникс+кино':{'chid':390,'channel_provider':1},\
'отб "галичина" (на укр.)':{'chid':1234,'channel_provider':1},\
'сарафан':{'chid':433,'channel_provider':1},\
'дом кино':{'chid':302,'channel_provider':1},\
'рада (на укр.)':{'chid':824,'channel_provider':1},\
'нло tv (на укр.)':{'chid':846,'channel_provider':1},\
'стс love (+7)':{'chid':1019,'channel_provider':1},\
'vh1 classic europe':{'chid':227,'channel_provider':1},\
'футбол 1 (на укр.)':{'chid':638,'channel_provider':1},\
'eu.music hd':{'chid':1034,'channel_provider':1},\
'tv1000 comedy hd':{'chid':818,'channel_provider':1},\
'нтв (+3)':{'chid':509,'channel_provider':1},\
'живи':{'chid':511,'channel_provider':1},\
'ginger hd':{'chid':1055,'channel_provider':1},\
'рен тв (+4)':{'chid':571,'channel_provider':1},\
'eurosport 2 north-east hd':{'chid':825,'channel_provider':1},\
'киев':{'chid':75,'channel_provider':1},\
'дотб (на укр.)':{'chid':1171,'channel_provider':1},\
'pro business':{'chid':492,'channel_provider':1},\
'вместе-рф':{'chid':967,'channel_provider':1},\
'нст':{'chid':329,'channel_provider':1},\
'penthouse hd (для украины)':{'chid':1194,'channel_provider':1},\
'shopping tv':{'chid':810,'channel_provider':1},\
'первый интернет канал (#пиктв)':{'chid':1024,'channel_provider':1},\
'русский роман':{'chid':757,'channel_provider':1},\
'рен тв':{'chid':13,'channel_provider':1},\
'museum hd':{'chid':1101,'channel_provider':1},\
'театр':{'chid':829,'channel_provider':1},\
'newsone (на укр.)':{'chid':471,'channel_provider':1},\
'крт (на укр.)':{'chid':368,'channel_provider':1},\
'телеканал 100 (на укр.)':{'chid':888,'channel_provider':1},\
'рыжий':{'chid':1047,'channel_provider':1},\
'qtv':{'chid':460,'channel_provider':1},\
'5 канал (россия) (+7)':{'chid':642,'channel_provider':1},\
'белмузтв':{'chid':706,'channel_provider':1},\
'трк "эра" (на укр.)':{'chid':349,'channel_provider':1},\
'отв (екатеринбург)':{'chid':655,'channel_provider':1},\
'нтв (+4)':{'chid':546,'channel_provider':1},\
'trace urban':{'chid':230,'channel_provider':1},\
'пятница (+2)':{'chid':625,'channel_provider':1},\
'da vinci learning europe':{'chid':644,'channel_provider':1},\
'erox (для украины)':{'chid':1135,'channel_provider':1},\
'world fashion channel':{'chid':326,'channel_provider':1},\
'playboy tv uk (для украины)':{'chid':663,'channel_provider':1},\
'da vinci learning europe (на укр.)':{'chid':659,'channel_provider':1},\
'чп.info':{'chid':446,'channel_provider':1},\
'cbn еммануил':{'chid':1208,'channel_provider':1},\
'русский бестселлер':{'chid':812,'channel_provider':1},\
'+тв':{'chid':701,'channel_provider':1},\
'sony channel россия':{'chid':525,'channel_provider':1},\
'репортер':{'chid':1200,'channel_provider':1},\
'украина hd (на укр.)':{'chid':1142,'channel_provider':1},\
'world fashion channel россия':{'chid':313,'channel_provider':1},\
'wbc':{'chid':1040,'channel_provider':1},\
'nickelodeon hd':{'chid':739,'channel_provider':1},\
'центральное телевидение':{'chid':1155,'channel_provider':1},\
'беларусь 5':{'chid':932,'channel_provider':1},\
'беларусь 3':{'chid':883,'channel_provider':1},\
'продвижение (+7)':{'chid':1229,'channel_provider':1},\
'беларусь 1':{'chid':118,'channel_provider':1},\
'стс international (+7)':{'chid':1133,'channel_provider':1},\
'вся уфа':{'chid':957,'channel_provider':1},\
'deutsche welle (europe)':{'chid':84,'channel_provider':1},\
'cine+ mix (на укр.)':{'chid':978,'channel_provider':1},\
'мультимания':{'chid':286,'channel_provider':1},\
'домашние животные':{'chid':601,'channel_provider':1},\
'mtv european':{'chid':218,'channel_provider':1},\
'спорт 2':{'chid':309,'channel_provider':1},\
'ржд тв':{'chid':713,'channel_provider':1},\
'спорт 1':{'chid':270,'channel_provider':1},\
'cbs reality':{'chid':91,'channel_provider':1},\
'tv5 monde europe':{'chid':74,'channel_provider':1},\
'футбол 1 hd':{'chid':963,'channel_provider':1},\
'id fashion':{'chid':1086,'channel_provider':1},\
'juce tv':{'chid':915,'channel_provider':1},\
'эко-тв (на укр.)':{'chid':686,'channel_provider':1},\
'otv':{'chid':64,'channel_provider':1},\
'тет':{'chid':18,'channel_provider':1},\
'playboy tv uk':{'chid':172,'channel_provider':1},\
'8 канал (ямал)':{'chid':755,'channel_provider':1},\
'стс love':{'chid':952,'channel_provider':1},\
'ностальгия':{'chid':216,'channel_provider':1},\
'зоо тв':{'chid':451,'channel_provider':1},\
'cine+ hit hd':{'chid':975,'channel_provider':1},\
'культура (украина)':{'chid':285,'channel_provider':1},\
'animal planet россия hd':{'chid':939,'channel_provider':1},\
'канал disney':{'chid':89,'channel_provider':1},\
'первый крымский':{'chid':886,'channel_provider':1},\
'tv1000 русское кино (международный)':{'chid':1020,'channel_provider':1},\
'о!':{'chid':1223,'channel_provider':1},\
'pro все (на укр.)':{'chid':431,'channel_provider':1},\
'детский мир':{'chid':31,'channel_provider':1},\
'индиго (на укр.)':{'chid':1006,'channel_provider':1},\
'индиго':{'chid':1002,'channel_provider':1},\
'тв центр (+2)':{'chid':559,'channel_provider':1},\
'винтаж':{'chid':1056,'channel_provider':1},\
'тв-3 россия (+7)':{'chid':565,'channel_provider':1},\
'uatv (на укр.)':{'chid':165,'channel_provider':1},\
'2+2 (на укр.)':{'chid':371,'channel_provider':1},\
'тонис hd (на укр.)':{'chid':822,'channel_provider':1},\
'отр':{'chid':880,'channel_provider':1},\
'отс':{'chid':899,'channel_provider':1},\
'эко-тв':{'chid':685,'channel_provider':1},\
'eurosport 2 north-east':{'chid':800,'channel_provider':1},\
'49 канал (новосибирск)':{'chid':923,'channel_provider':1},\
'zeetv россия':{'chid':442,'channel_provider':1},\
'musicbox ua':{'chid':417,'channel_provider':1},\
'униан тв':{'chid':740,'channel_provider':1},\
'brazzers tv europe':{'chid':143,'channel_provider':1},\
'футбол 1 hd (на укр.)':{'chid':964,'channel_provider':1},\
'пиксель':{'chid':27,'channel_provider':1},\
'maks24':{'chid':1204,'channel_provider':1},\
'maxxi-tv':{'chid':356,'channel_provider':1},\
'mcm top':{'chid':116,'channel_provider':1},\
'телепутешествия':{'chid':450,'channel_provider':1},\
'громадське (на укр.)':{'chid':1048,'channel_provider':1},\
'rt д (русский)':{'chid':961,'channel_provider':1},\
'интер+':{'chid':69,'channel_provider':1},\
'матч! боец':{'chid':310,'channel_provider':1},\
'mtv live hd':{'chid':488,'channel_provider':1},\
'рен тв (+7)':{'chid':572,'channel_provider':1},\
'cine+ hit hd (на укр.)':{'chid':976,'channel_provider':1},\
'eurosport 1 россия':{'chid':1151,'channel_provider':1},\
'setanta казахстан':{'chid':1197,'channel_provider':1},\
'беларусь 24':{'chid':231,'channel_provider':1},\
'fightbox hd':{'chid':995,'channel_provider':1},\
'психология21':{'chid':602,'channel_provider':1},\
'еврокино':{'chid':487,'channel_provider':1},\
'страна':{'chid':627,'channel_provider':1},\
'муз-тв':{'chid':808,'channel_provider':1},\
'глазами туриста':{'chid':1130,'channel_provider':1},\
'vh1 europe':{'chid':50,'channel_provider':1},\
'fashion tv россия':{'chid':86,'channel_provider':1},\
'к1 (на укр.)':{'chid':369,'channel_provider':1},\
'нтв-мир':{'chid':82,'channel_provider':1},\
'канал disney (+2)':{'chid':645,'channel_provider':1},\
'живая природа hd':{'chid':1102,'channel_provider':1},\
'ocean tv':{'chid':414,'channel_provider':1},\
'mtv россия':{'chid':908,'channel_provider':1},\
'next-tv':{'chid':1083,'channel_provider':1},\
'ю (+2)':{'chid':722,'channel_provider':1},\
'bridge tv dance':{'chid':862,'channel_provider':1},\
'южная волна':{'chid':1148,'channel_provider':1},\
'морской':{'chid':934,'channel_provider':1},\
'univer tv':{'chid':1222,'channel_provider':1},\
'домашний international':{'chid':1103,'channel_provider':1},\
'тв центр':{'chid':11,'channel_provider':1},\
'ru.tv':{'chid':334,'channel_provider':1},\
'nat geo wild hd россия':{'chid':1182,'channel_provider':1},\
'amedia premium hd':{'chid':896,'channel_provider':1},\
'docubox hd':{'chid':993,'channel_provider':1},\
'france 24 francais':{'chid':811,'channel_provider':1},\
'бокс тв':{'chid':1062,'channel_provider':1},\
'дача hd':{'chid':1152,'channel_provider':1},\
'авто плюс':{'chid':311,'channel_provider':1},\
'atr (на укр.)':{'chid':849,'channel_provider':1},\
'a-one украина':{'chid':772,'channel_provider':1},\
'setanta sports eurasia':{'chid':771,'channel_provider':1},\
'mostvideo 2':{'chid':1233,'channel_provider':1},\
'english club tv':{'chid':485,'channel_provider':1},\
'fine living':{'chid':406,'channel_provider':1},\
'мир (+7)':{'chid':986,'channel_provider':1},\
'оружие':{'chid':708,'channel_provider':1},\
'продвижение (+4)':{'chid':1228,'channel_provider':1},\
'россия 1 (+2)':{'chid':548,'channel_provider':1},\
'телевсесвит (на укр.)':{'chid':1166,'channel_provider':1},\
'успех':{'chid':649,'channel_provider':1},\
'pro все':{'chid':402,'channel_provider':1},\
'filmbox arthouse':{'chid':997,'channel_provider':1},\
'ua:перший digital (на укр.)':{'chid':891,'channel_provider':1},\
'mtv rocks international':{'chid':222,'channel_provider':1},\
'тнт-international (снг)':{'chid':981,'channel_provider':1},\
'discovery россия hd':{'chid':938,'channel_provider':1},\
'mezzo':{'chid':85,'channel_provider':1},\
'1hd':{'chid':1014,'channel_provider':1},\
'звезда (+7)':{'chid':568,'channel_provider':1},\
'fashionbox hd':{'chid':996,'channel_provider':1},\
'беларусь 2':{'chid':148,'channel_provider':1},\
'тнт bravo':{'chid':737,'channel_provider':1},\
'1+1 международный':{'chid':282,'channel_provider':1},\
'майдан':{'chid':882,'channel_provider':1},\
'тнт4 (+7)':{'chid':1126,'channel_provider':1},\
'nhk world':{'chid':789,'channel_provider':1},\
'maxxi-tv (на укр.)':{'chid':425,'channel_provider':1},\
'cnl украина':{'chid':392,'channel_provider':1},\
'пиксель (на укр.)':{'chid':373,'channel_provider':1},\
'musicbox':{'chid':411,'channel_provider':1},\
'малятко tv (на укр.)':{'chid':629,'channel_provider':1},\
'футбол 2 hd':{'chid':804,'channel_provider':1},\
'xsport':{'chid':748,'channel_provider':1},\
'cine+ hd (на укр.)':{'chid':974,'channel_provider':1},\
'5 канал (на укр.)':{'chid':363,'channel_provider':1},\
'5 канал (россия)':{'chid':308,'channel_provider':1},\
'совершенно секретно':{'chid':350,'channel_provider':1},\
'7тв':{'chid':1218,'channel_provider':1},\
'viasat nature/history hd':{'chid':716,'channel_provider':1},\
'tlc pan regional':{'chid':777,'channel_provider':1},\
'sport 1 (baltic)':{'chid':443,'channel_provider':1},\
'fashion tv europe':{'chid':342,'channel_provider':1},\
'cine+ hd':{'chid':973,'channel_provider':1},\
'искушение hd':{'chid':855,'channel_provider':1},\
'тв-7 (вологда)':{'chid':859,'channel_provider':1},\
'первый канал сша':{'chid':1144,'channel_provider':1},\
'продвижение':{'chid':1227,'channel_provider':1},\
'amc':{'chid':214,'channel_provider':1},\
'настоящее время':{'chid':1185,'channel_provider':1},\
'громадське':{'chid':1049,'channel_provider':1},\
'киномикс':{'chid':608,'channel_provider':1},\
'bbc entertainment':{'chid':147,'channel_provider':1},\
'наше кино':{'chid':29,'channel_provider':1},\
'марс тв':{'chid':928,'channel_provider':1},\
'24 (телеканал новостей 24) (на укр.)':{'chid':387,'channel_provider':1},\
'epoque (на укр.)':{'chid':1140,'channel_provider':1},\
'че (+2)':{'chid':396,'channel_provider':1},\
'плюсплюс (на укр.)':{'chid':376,'channel_provider':1},\
'тиса-1':{'chid':315,'channel_provider':1},\
'kbs world':{'chid':1217,'channel_provider':1},\
'8 канал (европа)':{'chid':1068,'channel_provider':1},\
'драйв':{'chid':241,'channel_provider':1},\
'красная линия':{'chid':1054,'channel_provider':1},\
'animal family hd':{'chid':969,'channel_provider':1},\
'телеканал трейлеров':{'chid':1239,'channel_provider':1},\
'epoque':{'chid':1139,'channel_provider':1},\
'стб':{'chid':6,'channel_provider':1},\
'ств':{'chid':115,'channel_provider':1},\
'top shop tv':{'chid':1143,'channel_provider':1},\
'астрахань 24':{'chid':940,'channel_provider':1},\
'стс (+4)':{'chid':539,'channel_provider':1},\
'otv (на укр.)':{'chid':374,'channel_provider':1},\
'мужское кино':{'chid':1060,'channel_provider':1},\
'лдпр тв':{'chid':1039,'channel_provider':1},\
'интер (на укр.)':{'chid':357,'channel_provider':1},\
'#наш канал':{'chid':1079,'channel_provider':1},\
'тнт-international (европа)':{'chid':991,'channel_provider':1},\
'id xtra (россия)':{'chid':943,'channel_provider':1},\
'первый канал (+8)':{'chid':544,'channel_provider':1},\
'киев (на укр.)':{'chid':375,'channel_provider':1},\
'музыка первого':{'chid':439,'channel_provider':1},\
'bollywood hd':{'chid':1030,'channel_provider':1},\
'фауна':{'chid':1178,'channel_provider':1},\
'tvrus':{'chid':799,'channel_provider':1},\
'кинопоказ (+3)':{'chid':574,'channel_provider':1},\
'aztv':{'chid':1118,'channel_provider':1},\
'центральный канал (на укр.)':{'chid':466,'channel_provider':1},\
'детский мир / телеклуб':{'chid':578,'channel_provider':1},\
'новый канал':{'chid':7,'channel_provider':1},\
'euronews (русский)':{'chid':37,'channel_provider':1},\
'пятница (+7)':{'chid':626,'channel_provider':1},\
'нло tv':{'chid':843,'channel_provider':1},\
'myzen.tv':{'chid':534,'channel_provider':1},\
'russian musicbox':{'chid':412,'channel_provider':1},\
'viasat sport россия hd':{'chid':907,'channel_provider':1},\
'улыбка ребенка':{'chid':531,'channel_provider':1},\
'калейдоскоп тв':{'chid':1114,'channel_provider':1},\
'c music tv':{'chid':582,'channel_provider':1},\
'investigation discovery':{'chid':635,'channel_provider':1},\
'a1':{'chid':895,'channel_provider':1},\
'a2':{'chid':727,'channel_provider':1},\
'eurosport 2 россия':{'chid':1150,'channel_provider':1},\
'eurosport 1':{'chid':36,'channel_provider':1},\
'eurosport 2':{'chid':229,'channel_provider':1},\
'star cinema (на укр.)':{'chid':1231,'channel_provider':1},\
'матч! футбол 1 hd':{'chid':747,'channel_provider':1},\
'телевсесвит':{'chid':1165,'channel_provider':1},\
'boutique tv (на укр.)':{'chid':1078,'channel_provider':1},\
'домашний (+7)':{'chid':563,'channel_provider':1},\
'animal planet россия':{'chid':484,'channel_provider':1},\
'shop24':{'chid':863,'channel_provider':1},\
'россия 1 (+6)':{'chid':550,'channel_provider':1},\
'первый канал hd':{'chid':839,'channel_provider':1},\
'travel channel hd':{'chid':690,'channel_provider':1},\
'тв центр международный (tvci)':{'chid':237,'channel_provider':1},\
'star cinema':{'chid':1230,'channel_provider':1},\
'культура (+2)':{'chid':552,'channel_provider':1},\
'искушение':{'chid':754,'channel_provider':1},\
'мир (+4)':{'chid':1163,'channel_provider':1},\
'кхл тв':{'chid':604,'channel_provider':1},\
'tv1000 русское кино':{'chid':255,'channel_provider':1},\
'первый канал (россия) европа':{'chid':21,'channel_provider':1},\
'томское время':{'chid':1156,'channel_provider':1},\
'правдатут':{'chid':1087,'channel_provider':1},\
'нтв сериал':{'chid':1214,'channel_provider':1},\
'раі (на укр.)':{'chid':1190,'channel_provider':1},\
'business':{'chid':386,'channel_provider':1},\
'спорт 2 (на укр.)':{'chid':427,'channel_provider':1},\
'xsport (на укр.)':{'chid':749,'channel_provider':1},\
'бигуди':{'chid':481,'channel_provider':1},\
'матч! арена':{'chid':667,'channel_provider':1},\
'bolt':{'chid':1219,'channel_provider':1},\
'родное кино':{'chid':312,'channel_provider':1},\
'тдк':{'chid':142,'channel_provider':1},\
'tiji россия':{'chid':597,'channel_provider':1},\
'penthouse hd':{'chid':1192,'channel_provider':1},\
'ltv7':{'chid':1203,'channel_provider':1},\
'матч! футбол 2 hd':{'chid':753,'channel_provider':1},\
'candy':{'chid':1065,'channel_provider':1},\
'euronews (английский)':{'chid':1240,'channel_provider':1},\
'plus':{'chid':1196,'channel_provider':1},\
'вопросы и ответы':{'chid':603,'channel_provider':1},\
'тнт4 (+4)':{'chid':1127,'channel_provider':1},\
'мужской (дальний восток)':{'chid':1201,'channel_provider':1},\
'fashion one':{'chid':679,'channel_provider':1},\
'тонис (на укр.)':{'chid':365,'channel_provider':1},\
'bridge hd':{'chid':1198,'channel_provider':1},\
'milady television':{'chid':1128,'channel_provider':1},\
'mtv hits international':{'chid':221,'channel_provider':1},\
'мир hd':{'chid':965,'channel_provider':1},\
'eu.music':{'chid':388,'channel_provider':1},\
'vintage tv (uk)':{'chid':1191,'channel_provider':1},\
'авто24':{'chid':924,'channel_provider':1},\
'utv (салават)':{'chid':1043,'channel_provider':1},\
'че (+7)':{'chid':537,'channel_provider':1},\
'tv1000 megahit hd':{'chid':816,'channel_provider':1},\
'dtx':{'chid':1061,'channel_provider':1},\
'любимое кино':{'chid':526,'channel_provider':1},\
'cine+ kids (на укр.)':{'chid':1111,'channel_provider':1},\
'юмор box':{'chid':410,'channel_provider':1},\
'enter-фильм':{'chid':92,'channel_provider':1},\
'первый автомобильный (на укр.)':{'chid':436,'channel_provider':1},\
'тнв-татарстан':{'chid':145,'channel_provider':1},\
'русский бестселлер (для германии)':{'chid':1232,'channel_provider':1},\
'тв-3 россия':{'chid':63,'channel_provider':1},\
'national geographic россия':{'chid':295,'channel_provider':1},\
'fashion one россия':{'chid':1187,'channel_provider':1},\
'atr':{'chid':763,'channel_provider':1},\
'смена':{'chid':1147,'channel_provider':1},\
'film.ua drama':{'chid':1073,'channel_provider':1},\
'cbs drama':{'chid':35,'channel_provider':1},\
'квн тв':{'chid':1138,'channel_provider':1},\
'paramount comedy россия':{'chid':770,'channel_provider':1},\
'детский':{'chid':246,'channel_provider':1},\
'здоровое тв':{'chid':242,'channel_provider':1},\
'донбасс':{'chid':617,'channel_provider':1},\
'тонис':{'chid':25,'channel_provider':1},\
'винтаж (на укр.)':{'chid':1057,'channel_provider':1},\
'cine+ (на укр.)':{'chid':972,'channel_provider':1},\
'viasat sport россия':{'chid':332,'channel_provider':1},\
'filmbox russia':{'chid':998,'channel_provider':1},\
'тв центр (+4)':{'chid':560,'channel_provider':1},\
'game show':{'chid':1119,'channel_provider':1},\
'cine+ kids hd':{'chid':1112,'channel_provider':1},\
'кино тв':{'chid':852,'channel_provider':1},\
'viasat explore cee / spice':{'chid':579,'channel_provider':1},\
'tv1000 premium':{'chid':813,'channel_provider':1},\
'тнв-планета':{'chid':781,'channel_provider':1},\
'animal planet europe':{'chid':39,'channel_provider':1},\
'6 тв':{'chid':1012,'channel_provider':1},\
'ск1 (на укр.)':{'chid':1164,'channel_provider':1},\
'телеклуб':{'chid':141,'channel_provider':1},\
'national geographic hd':{'chid':594,'channel_provider':1},\
'cgtn русский':{'chid':598,'channel_provider':1},\
'mezzo live hd':{'chid':672,'channel_provider':1},\
'наш кинороман':{'chid':1183,'channel_provider':1},\
'travel+adventure':{'chid':832,'channel_provider':1},\
'рен тв литва':{'chid':1206,'channel_provider':1},\
'первый деловой':{'chid':299,'channel_provider':1},\
'мега (на укр.)':{'chid':362,'channel_provider':1},\
'ua:перший digital':{'chid':890,'channel_provider':1},\
'discovery science':{'chid':41,'channel_provider':1},\
'перец international':{'chid':941,'channel_provider':1},\
'матч тв hd':{'chid':1090,'channel_provider':1},\
'русский иллюзион':{'chid':177,'channel_provider':1},\
'ю (+7)':{'chid':723,'channel_provider':1},\
'русская ночь':{'chid':296,'channel_provider':1},\
'jimjam':{'chid':454,'channel_provider':1},\
'cinema (космос тв)':{'chid':112,'channel_provider':1},\
'utv hd':{'chid':1032,'channel_provider':1},\
'тв-7 (мариуполь)':{'chid':714,'channel_provider':1},\
'tv-4 (тернополь) (на укр.)':{'chid':1236,'channel_provider':1},\
'spice':{'chid':307,'channel_provider':1},\
'наш футбол hd':{'chid':889,'channel_provider':1},\
'ртр-планета америка':{'chid':831,'channel_provider':1},\
'инва медиа тв':{'chid':865,'channel_provider':1},\
'cnbc europe':{'chid':70,'channel_provider':1},\
'galaxy-tv':{'chid':583,'channel_provider':1},\
'trace sport stars':{'chid':1076,'channel_provider':1},\
'film.ua drama (на укр.)':{'chid':1074,'channel_provider':1},\
'8 канал (триколор)':{'chid':681,'channel_provider':1},\
'8 канал (экспресс ат)':{'chid':1069,'channel_provider':1},\
'11 канал днепропетровск (t2)':{'chid':1091,'channel_provider':1},\
'amedia hit':{'chid':1016,'channel_provider':1},\
'outdoor channel':{'chid':732,'channel_provider':1},\
'бобер':{'chid':1058,'channel_provider':1},\
'cine+':{'chid':971,'channel_provider':1},\
'ночной клуб':{'chid':455,'channel_provider':1},\
'татарстан-24':{'chid':1023,'channel_provider':1},\
'шансон тв (hotbird)':{'chid':1084,'channel_provider':1},\
'просвещение':{'chid':774,'channel_provider':1},\
'терра':{'chid':1149,'channel_provider':1},\
'первый канал (+6)':{'chid':543,'channel_provider':1},\
'ночной клуб (+3)':{'chid':576,'channel_provider':1},\
'наш детектив':{'chid':1184,'channel_provider':1},\
'5 канал (россия) (+4)':{'chid':641,'channel_provider':1},\
'футбол 2 hd (на укр.)':{'chid':821,'channel_provider':1},\
'нтв (+7)':{'chid':547,'channel_provider':1},\
'звезда':{'chid':232,'channel_provider':1},\
'fast&funbox hd':{'chid':994,'channel_provider':1},\
'viasat explore cee':{'chid':778,'channel_provider':1},\
'трк "эра"':{'chid':78,'channel_provider':1},\
'дом кино премиум':{'chid':1045,'channel_provider':1},\
'сонце (на укр.)':{'chid':875,'channel_provider':1},\
'cartoon network':{'chid':54,'channel_provider':1},\
'втв':{'chid':139,'channel_provider':1},\
'5 канал':{'chid':106,'channel_provider':1},\
'дон 24':{'chid':867,'channel_provider':1},\
'конный мир':{'chid':1044,'channel_provider':1},\
'днепропетровский державный':{'chid':380,'channel_provider':1},\
'fox россия hd':{'chid':775,'channel_provider':1},\
'югра':{'chid':128,'channel_provider':1},\
'кинопоказ hd2':{'chid':621,'channel_provider':1},\
'кинопоказ hd1':{'chid':620,'channel_provider':1},\
'радость моя':{'chid':693,'channel_provider':1},\
'r1':{'chid':405,'channel_provider':1},\
'russia today':{'chid':301,'channel_provider':1},\
'тнт (+3)':{'chid':767,'channel_provider':1},\
'наука':{'chid':1177,'channel_provider':1},\
'центральный канал':{'chid':317,'channel_provider':1},\
'отв (одинцово)':{'chid':913,'channel_provider':1},\
'доверие':{'chid':733,'channel_provider':1},\
'qtv (на укр.)':{'chid':461,'channel_provider':1},\
'стс international балтия':{'chid':768,'channel_provider':1},\
'luxury':{'chid':946,'channel_provider':1},\
'украина hd':{'chid':1141,'channel_provider':1},\
'первый городской (казань)':{'chid':966,'channel_provider':1},\
'rti':{'chid':1036,'channel_provider':1},\
'fox life россия hd':{'chid':750,'channel_provider':1},\
'odessa int':{'chid':1067,'channel_provider':1},\
'кто есть кто':{'chid':399,'channel_provider':1},\
'rtg':{'chid':605,'channel_provider':1},\
'rusong tv':{'chid':668,'channel_provider':1},\
'домашний магазин':{'chid':695,'channel_provider':1},\
'eureka hd':{'chid':970,'channel_provider':1},\
'gulli girl':{'chid':596,'channel_provider':1},\
'кинопремиум hd':{'chid':947,'channel_provider':1},\
'наука 2.0':{'chid':712,'channel_provider':1},\
'кубань 24 орбита':{'chid':782,'channel_provider':1},\
'мир (+2)':{'chid':985,'channel_provider':1},\
'матч! наш спорт':{'chid':595,'channel_provider':1},\
'мир':{'chid':176,'channel_provider':1},\
'musicbox ua (на укр.)':{'chid':470,'channel_provider':1},\
'первый образовательный':{'chid':215,'channel_provider':1},\
'нтс (севастополь)':{'chid':884,'channel_provider':1},\
'business (на укр.)':{'chid':429,'channel_provider':1},\
'russia today hd':{'chid':851,'channel_provider':1},\
'ua:перший':{'chid':1,'channel_provider':1},\
'украина (на укр.)':{'chid':361,'channel_provider':1},\
'бст':{'chid':272,'channel_provider':1},\
'9 канал (днепропетровск)':{'chid':1125,'channel_provider':1},\
'к2':{'chid':20,'channel_provider':1},\
'private tv':{'chid':696,'channel_provider':1},\
'english club tv hd':{'chid':929,'channel_provider':1},\
'рыбалка и охота':{'chid':1167,'channel_provider':1},\
'отв челябинск':{'chid':866,'channel_provider':1},\
'глас (на укр.)':{'chid':465,'channel_provider':1},\
'нтв стиль':{'chid':1216,'channel_provider':1},\
'тв центр (+7)':{'chid':624,'channel_provider':1},\
'стс':{'chid':17,'channel_provider':1},\
'viasat explore россия':{'chid':152,'channel_provider':1},\
'mostvideo':{'chid':1109,'channel_provider':1},\
'квартал тв':{'chid':1174,'channel_provider':1},\
'малятко tv':{'chid':606,'channel_provider':1},\
'тв-3 россия (+4)':{'chid':1146,'channel_provider':1},\
'футбол 2':{'chid':703,'channel_provider':1},\
'футбол 1':{'chid':507,'channel_provider':1},\
'rt д (english)':{'chid':788,'channel_provider':1},\
'discovery россия':{'chid':38,'channel_provider':1},\
'1+1 международный (на укр.)':{'chid':473,'channel_provider':1},\
'france 24 english':{'chid':486,'channel_provider':1},\
'boomerang':{'chid':404,'channel_provider':1},\
'карусель (+3)':{'chid':730,'channel_provider':1},\
'загородная жизнь':{'chid':647,'channel_provider':1},\
'al jazeera international':{'chid':240,'channel_provider':1},\
'еспресо tv':{'chid':936,'channel_provider':1},\
'наше тв':{'chid':1180,'channel_provider':1},\
'надия':{'chid':871,'channel_provider':1},\
'туган тел':{'chid':987,'channel_provider':1},\
'матч тв':{'chid':1077,'channel_provider':1},\
'eu.music hd (на укр.)':{'chid':1035,'channel_provider':1},\
'союз (екатеринбург)':{'chid':235,'channel_provider':1},\
'discovery восточная европа':{'chid':397,'channel_provider':1},\
'иллюзион+':{'chid':327,'channel_provider':1},\
'animal planet hd':{'chid':715,'channel_provider':1},\
'tlc россия':{'chid':691,'channel_provider':1},\
'дача':{'chid':1080,'channel_provider':1},\
'тв-3 россия (+3)':{'chid':845,'channel_provider':1},\
'riga tv24':{'chid':1159,'channel_provider':1},\
'стс (+2)':{'chid':538,'channel_provider':1},\
'nano':{'chid':741,'channel_provider':1},\
'дождь. optimistic channel':{'chid':675,'channel_provider':1},\
'lale (на укр.)':{'chid':912,'channel_provider':1},\
'матч! планета':{'chid':32,'channel_provider':1},\
'112 украина hd':{'chid':953,'channel_provider':1},\
'анекдот тв':{'chid':1225,'channel_provider':1},\
'еспресо tv hd':{'chid':1153,'channel_provider':1},\
'мега':{'chid':234,'channel_provider':1},\
'extreme sports':{'chid':99,'channel_provider':1},\
'сигма':{'chid':709,'channel_provider':1},\
'футбол 2 (на укр.)':{'chid':704,'channel_provider':1},\
'нтв-беларусь':{'chid':699,'channel_provider':1},\
'тро':{'chid':491,'channel_provider':1},\
'открытый мир':{'chid':692,'channel_provider':1},\
'112 украина':{'chid':921,'channel_provider':1},\
'fine living hd':{'chid':1173,'channel_provider':1},\
'смайлик тв':{'chid':1137,'channel_provider':1},\
'домашний':{'chid':124,'channel_provider':1},\
'матч! игра hd':{'chid':591,'channel_provider':1},\
'ru.tv беларусь':{'chid':1169,'channel_provider':1},\
'mtv dance international':{'chid':224,'channel_provider':1},\
'глас':{'chid':294,'channel_provider':1},\
'россия 1 hd':{'chid':841,'channel_provider':1},\
'112 украина hd (на укр.)':{'chid':954,'channel_provider':1},\
'tv1000 comedy':{'chid':817,'channel_provider':1},\
'ббч':{'chid':1120,'channel_provider':1},\
'тиса-1 (на укр.)':{'chid':467,'channel_provider':1},\
'food network россия hd':{'chid':1095,'channel_provider':1},\
'ртр-беларусь':{'chid':700,'channel_provider':1},\
'кинокомедия':{'chid':292,'channel_provider':1},\
'наш футбол':{'chid':284,'channel_provider':1},\
'rtvi':{'chid':22,'channel_provider':1},\
'cctv4':{'chid':904,'channel_provider':1},\
'униан тв (на укр.)':{'chid':786,'channel_provider':1},\
'hustler hd':{'chid':894,'channel_provider':1},\
'тбн россия':{'chid':694,'channel_provider':1},\
'paramount channel россия':{'chid':935,'channel_provider':1},\
'глас (одесса) (на укр.)':{'chid':457,'channel_provider':1},\
'охота и рыбалка':{'chid':243,'channel_provider':1},\
'отв приморье':{'chid':848,'channel_provider':1},\
'белсат':{'chid':1157,'channel_provider':1},\
'8 канал (экспресс ат) (+7)':{'chid':1070,'channel_provider':1},\
'черноморская трк':{'chid':751,'channel_provider':1},\
'7 канал (одесса)':{'chid':933,'channel_provider':1},\
'тнт-international (беларусь)':{'chid':1052,'channel_provider':1},\
'россия 1 (+8)':{'chid':551,'channel_provider':1},\
'убр (на укр.)':{'chid':610,'channel_provider':1},\
'olala':{'chid':1013,'channel_provider':1},\
'360tunebox':{'chid':999,'channel_provider':1},\
'рбк тв':{'chid':146,'channel_provider':1},\
'звезда (+2)':{'chid':566,'channel_provider':1},\
'мир сериала':{'chid':637,'channel_provider':1},\
'bridge tv classic':{'chid':1003,'channel_provider':1},\
'brazzers tv europe (для россии)':{'chid':1071,'channel_provider':1},\
'тв клуб':{'chid':607,'channel_provider':1},\
'охотник и рыболов':{'chid':628,'channel_provider':1},\
'globalstar tv':{'chid':1181,'channel_provider':1},\
'cinema':{'chid':351,'channel_provider':1},\
'viasat golf hd':{'chid':916,'channel_provider':1},\
'трк "регион"':{'chid':919,'channel_provider':1},\
'россия 1':{'chid':9,'channel_provider':1},\
'tv5 (запорожье)':{'chid':1162,'channel_provider':1},\
'tvm channel':{'chid':1028,'channel_provider':1},\
'русский бестселлер (международный)':{'chid':1051,'channel_provider':1},\
'#наше music hd (на укр.)':{'chid':1189,'channel_provider':1},\
'viasat history':{'chid':175,'channel_provider':1},\
'телекафе':{'chid':415,'channel_provider':1},\
'sony turbo':{'chid':805,'channel_provider':1},\
'перший західний (на укр.)':{'chid':920,'channel_provider':1},\
'индийское кино':{'chid':293,'channel_provider':1},\
'myzen.tv hd':{'chid':580,'channel_provider':1},\
'candyman':{'chid':1066,'channel_provider':1},\
'fashion one hd':{'chid':680,'channel_provider':1},\
'живая планета':{'chid':1026,'channel_provider':1},\
'первый деловой (на укр.)':{'chid':378,'channel_provider':1},\
'bridge tv':{'chid':409,'channel_provider':1},\
'онт':{'chid':111,'channel_provider':1},\
'остросюжетное hd':{'chid':951,'channel_provider':1},\
'iland':{'chid':1131,'channel_provider':1},\
'ani':{'chid':1059,'channel_provider':1},\
'hustler tv europe':{'chid':120,'channel_provider':1},\
'тнт':{'chid':14,'channel_provider':1},\
'erox':{'chid':1132,'channel_provider':1},\
'history россия hd':{'chid':905,'channel_provider':1},\
'нтв право':{'chid':1215,'channel_provider':1},\
'enter-фильм (на укр.)':{'chid':372,'channel_provider':1},\
'теледом':{'chid':853,'channel_provider':1},\
'2х2':{'chid':341,'channel_provider':1},\
'ртр-планета украина':{'chid':355,'channel_provider':1},\
'твой дом':{'chid':1179,'channel_provider':1},\
'искушение (+3)':{'chid':1053,'channel_provider':1},\
'ducktv':{'chid':656,'channel_provider':1},\
'zooпарк':{'chid':331,'channel_provider':1},\
'shopping live':{'chid':752,'channel_provider':1},\
'канал disney (+7)':{'chid':646,'channel_provider':1},\
'bloomberg':{'chid':90,'channel_provider':1},\
'киносерия':{'chid':278,'channel_provider':1},\
'hdfashion':{'chid':914,'channel_provider':1},\
'xxl':{'chid':133,'channel_provider':1},\
'кхл hd':{'chid':806,'channel_provider':1},\
'bolt (на укр.)':{'chid':1220,'channel_provider':1},\
'шалун':{'chid':1224,'channel_provider':1},\
'ттс':{'chid':717,'channel_provider':1},\
'lale':{'chid':911,'channel_provider':1},\
'трофей hd':{'chid':1098,'channel_provider':1},\
'ua:перший (на укр.)':{'chid':345,'channel_provider':1},\
'мужской':{'chid':648,'channel_provider':1},\
'наше новое кино':{'chid':260,'channel_provider':1},\
'культура (+4)':{'chid':553,'channel_provider':1},\
'utv':{'chid':958,'channel_provider':1},\
'8 канал (беларусь)':{'chid':698,'channel_provider':1},\
'тв-3 россия (+2)':{'chid':564,'channel_provider':1},\
'ртр-планета азия':{'chid':885,'channel_provider':1},\
'егэ':{'chid':1017,'channel_provider':1},\
'motors':{'chid':117,'channel_provider':1},\
'твfm':{'chid':892,'channel_provider':1},\
'hd-life':{'chid':459,'channel_provider':1},\
'ретро':{'chid':244,'channel_provider':1},\
'стс international':{'chid':758,'channel_provider':1},\
'еда':{'chid':794,'channel_provider':1},\
'третий цифровой':{'chid':1199,'channel_provider':1},\
'наше любимое':{'chid':1195,'channel_provider':1},\
'setanta sports georgia':{'chid':1170,'channel_provider':1},\
'sony sci-fi россия':{'chid':403,'channel_provider':1},\
'рен тв (+2)':{'chid':570,'channel_provider':1},\
'cnl сибирь':{'chid':527,'channel_provider':1},\
'первый канал (+4)':{'chid':542,'channel_provider':1},\
'tv1000 action east':{'chid':458,'channel_provider':1},\
'ля-минор':{'chid':297,'channel_provider':1},\
'алекс тв':{'chid':1121,'channel_provider':1},\
'первый севастопольский':{'chid':876,'channel_provider':1},\
'ewtn украина (на укр.)':{'chid':844,'channel_provider':1},\
'2х2 (+5)':{'chid':734,'channel_provider':1},\
'babytv':{'chid':528,'channel_provider':1},\
'nat geo wild россия':{'chid':766,'channel_provider':1},\
'5 канал (россия) (+2)':{'chid':640,'channel_provider':1},\
'домашний (+2)':{'chid':561,'channel_provider':1},\
'tmtv':{'chid':897,'channel_provider':1},\
'365 дней тв':{'chid':279,'channel_provider':1},\
'киносемья':{'chid':590,'channel_provider':1},\
'загородный':{'chid':662,'channel_provider':1},\
'история':{'chid':879,'channel_provider':1},\
'орт-планета (оренбург)':{'chid':983,'channel_provider':1},\
'tv1000 megahit':{'chid':815,'channel_provider':1},\
'мінсктв':{'chid':1025,'channel_provider':1},\
'2+2':{'chid':23,'channel_provider':1},\
'оренбуржье':{'chid':989,'channel_provider':1},\
'надежда':{'chid':1072,'channel_provider':1},\
'первый канал (россия) снг':{'chid':314,'channel_provider':1},\
'время':{'chid':303,'channel_provider':1},\
'пятница (+4)':{'chid':569,'channel_provider':1},\
'ictv':{'chid':5,'channel_provider':1},\
'тнт4 (+2)':{'chid':1106,'channel_provider':1},\
'культура':{'chid':15,'channel_provider':1},\
'моя планета':{'chid':639,'channel_provider':1},\
'разтв':{'chid':581,'channel_provider':1},\
'кинопремьера hd':{'chid':34,'channel_provider':1},\
'ю':{'chid':49,'channel_provider':1},\
'первый городской (нижний новгород)':{'chid':1092,'channel_provider':1},\
'shant tv':{'chid':1033,'channel_provider':1},\
'360°':{'chid':653,'channel_provider':1},\
'kino polska muzyka international':{'chid':1213,'channel_provider':1},\
'комедия (вгтрк)':{'chid':1081,'channel_provider':1},\
'телеканал 100':{'chid':887,'channel_provider':1},\
'охотник и рыболов hd':{'chid':842,'channel_provider':1},\
'эверест (на укр.)':{'chid':1010,'channel_provider':1},\
'в гостях у сказки':{'chid':1209,'channel_provider':1},\
'24док':{'chid':263,'channel_provider':1},\
'retv':{'chid':1176,'channel_provider':1},\
'cine+ mix':{'chid':977,'channel_provider':1},\
'food network россия':{'chid':1005,'channel_provider':1},\
'мир увлечений':{'chid':1022,'channel_provider':1},\
'бигуди (на укр.)':{'chid':840,'channel_provider':1},\
'тв xxi':{'chid':68,'channel_provider':1},\
'тнт-music':{'chid':316,'channel_provider':1},\
'матч! футбол 3 hd':{'chid':917,'channel_provider':1},\
'квартал тв (на укр.)':{'chid':1175,'channel_provider':1},\
'карусель international':{'chid':688,'channel_provider':1},\
'спас':{'chid':238,'channel_provider':1},\
'cine+ kids hd (на укр.)':{'chid':1113,'channel_provider':1},\
'че (+4)':{'chid':857,'channel_provider':1},\
'2х2 (+2)':{'chid':809,'channel_provider':1},\
'1+1 (на укр.)':{'chid':346,'channel_provider':1},\
'fox life россия':{'chid':432,'channel_provider':1},\
'discovery hd showcase':{'chid':599,'channel_provider':1},\
'ua:перший / трк "эра"':{'chid':540,'channel_provider':1},\
'украина':{'chid':108,'channel_provider':1},\
'z (запорожье)':{'chid':1238,'channel_provider':1},\
'спорт 1 (на укр.)':{'chid':426,'channel_provider':1},\
'musicbox ua hd':{'chid':1096,'channel_provider':1},\
'плюсплюс':{'chid':24,'channel_provider':1},\
'точка тв':{'chid':1011,'channel_provider':1},\
'milady television (на укр.)':{'chid':1129,'channel_provider':1},\
'da vinci learning россия':{'chid':651,'channel_provider':1},\
'tv1000 premium hd':{'chid':814,'channel_provider':1},\
'кинопоказ':{'chid':447,'channel_provider':1},\
'rtg hd':{'chid':900,'channel_provider':1},\
'тнт-орск':{'chid':1116,'channel_provider':1},\
'техно 24':{'chid':381,'channel_provider':1},\
'мульт':{'chid':962,'channel_provider':1},\
'трк "черновцы" (на укр.)':{'chid':1235,'channel_provider':1},\
'русский детектив':{'chid':942,'channel_provider':1},\
'тва (на укр.)':{'chid':1168,'channel_provider':1},\
'усадьба':{'chid':305,'channel_provider':1},\
'культура (украина) (на укр.)':{'chid':494,'channel_provider':1},\
'карусель':{'chid':687,'channel_provider':1},\
'тнт4':{'chid':476,'channel_provider':1},\
'trick':{'chid':1211,'channel_provider':1},\
'нтн':{'chid':212,'channel_provider':1},\
'нтв':{'chid':10,'channel_provider':1},\
'рада':{'chid':823,'channel_provider':1},\
'шансон тв (ямал)':{'chid':719,'channel_provider':1},\
'rti (на укр.)':{'chid':1037,'channel_provider':1},\
'luxe.tv':{'chid':475,'channel_provider':1},\
'кинохит':{'chid':213,'channel_provider':1},\
'агро-тв':{'chid':721,'channel_provider':1},\
'крик-тв':{'chid':1160,'channel_provider':1},\
'musicbox ua hd (на укр.)':{'chid':1097,'channel_provider':1},\
'cnn':{'chid':47,'channel_provider':1},\
'тамыр':{'chid':959,'channel_provider':1},\
'мама':{'chid':394,'channel_provider':1},\
'nickelodeon снг':{'chid':643,'channel_provider':1},\
'москва-24':{'chid':123,'channel_provider':1},\
'discovery science hd':{'chid':1099,'channel_provider':1},\
'м2':{'chid':445,'channel_provider':1},\
'м1':{'chid':94,'channel_provider':1},\
'первый канал hd (+4)':{'chid':926,'channel_provider':1},\
'матч! арена hd':{'chid':724,'channel_provider':1},\

}
    
    def to_lower(self,s):
        dictionary={'Й':'й','Ц':'ц','У':'у','К':'к','Е':'е','Н':'н','Г':'г','Ш':'ш','Щ':'щ','З':'з','Х':'х','Ъ':'ъ','Ф':'ф','Ы':'ы','В':'в','А':'а','П':'п','Р':'р','О':'о','Л':'л','Д':'д','Ж':'ж','Э':'э','Я':'я','Ч':'ч','С':'с','М':'м','И':'и','Т':'т','Ь':'ь','Б':'б','Ю':'ю'}
        return reduce(lambda x,y: x.replace(y,dictionary[y]), dictionary,s)

    def __init__(self, api):
        Plugin.__init__(self, api)

    def isSeekable(self):
        return False

    def _getPlaylist(self, name):
        # map name to available channel id
        name=self.to_lower(name.encode("utf-8")).lower()
        if(name in self.MAP):
            return self.MAP[name]
        return None
        
        
