# -*- coding: UTF-8 -*-
# Copyright 2013-2017 John Red.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import urllib2
import re

try:
    from Plugins.Extensions.Seasondream.plugins.Plugin import Plugin
except ImportError:
    try:
        from Plugins.Extensions.Seasondream.plugins.Plugin import Plugin
    except ImportError:
        from plugins.Plugin import Plugin


class IPTVInfoua(Plugin):

    PROVIDER_ID=1005

    def __init__(self, api):
        Plugin.__init__(self, api)
    
    def supportUrl(self, url):
        return url.startswith("http://infoua.biz/live/")
        
    def isSeekable(self):
        return False

    def decode(self, b):
        a=0
        g=0
        c=0
        d=0
        e=0
        m=0
        n=0
        k=[]
        
        while(True):
            a = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=".find(b[m])
            m+=1
            g = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=".find(b[m])
            m+=1 
            d = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=".find(b[m])
            m+=1 
            e = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=".find(b[m])
            m+=1
             
            c = a << 18 | g << 12 | d << 6 | e 
            a = c >> 16 & 255
            g = c >> 8 & 255 
            c &= 255
            if(d==64):
                k.append(''.join(map(unichr, [a])))
            elif(e==64):
                k.append(''.join(map(unichr, [a,g])))
            else:
                k.append(''.join(map(unichr, [a,g,c])))
            if(m>=len(b)):
                break
        return "".join(k)

    def _isAuthenticationRequired(self, url):
        for _ in re.compile("http[s]*:\\/\\/(.*?)[:](.*?)[@]").findall(url):
            return True
        return False
    
    def _getPlaylist(self, url):
        self.log("Loading playlist for "+url)
        content=self.read(url,options={"Referer":"http://infoua.biz/live"})
        
        for item in re.compile("LUP\\s*[.]test\\s*[(]\\s*'([^']*?)'\\s*,\\s*'([^']*?)'").findall(content):
            code=item[0]
            mode=item[1]
            self.log("Code "+code)
            self.log("Mode "+mode)
            
            code = code[4:]
            code = self.decode(code)
            code = code[3:]
            code = self.decode(code)
            self.log("Decoded http://"+code)
            url="http://"+code.encode("utf-8")
            if(url.endswith((".m3u","m3u8",))):
                return url,1 #internal
                
            if(self._isAuthenticationRequired(url)):
                return url,6 #proxy
            else:
                return url,4 #dvb
            
            
        self.log("Unable to found reasonable playlist")
        return None,None
    
    def _getStatusCode(self, url):
        try:
            connection = urllib2.urlopen(url)
            code= connection.getcode()
            connection.close()
            return code
        except Exception,e:
            self.log("Unable to retrieve http code "+str(e))
            return -1        
