# -*- coding: UTF-8 -*-
# Copyright 2013-2017 John Red.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
import urllib2
import urllib

try:
    from Plugins.Extensions.Seasondream.SeasondreamHTMLParser import SeasondreamHTMLParser
    from Plugins.Extensions.Seasondream.api.APIException import APIException
    from Plugins.Extensions.Seasondream.plugins.Plugin import Plugin
    from Plugins.Extensions.Seasondream.simplejson import loads
    from Plugins.Extensions.Seasondream.plugins.Plugin import boundFunction
    from Plugins.Extensions.Seasondream.Config import cfg
    
except ImportError:
    try:
        from resources.lib.plugins.Plugin import boundFunction
        from resources.lib.utils.SeasondreamHTMLParser import SeasondreamHTMLParser
        from resources.lib.api.APIException import APIException
        from resources.lib.plugins.Plugin import Plugin
        from resources.lib.simplejson import loads
    except ImportError:
        from SeasondreamHTMLParser import SeasondreamHTMLParser
        from api.APIException import APIException
        from plugins.Plugin import Plugin
        from simplejson import loads


class NoRedirect(urllib2.HTTPRedirectHandler):
    def http_error_302(self, req, fp, code, msg, headers):
        infourl = urllib.addinfourl(fp, headers, req.get_full_url())
        infourl.status = code
        infourl.code = code
        return infourl
    http_error_300 = http_error_302
    http_error_301 = http_error_302
    http_error_303 = http_error_302
    http_error_307 = http_error_302
    
class Kinomafia(Plugin):

    PROVIDER_ID=4

    def __init__(self, api):
        Plugin.__init__(self, api)

    def checkRedirect(self, _file):
        self.log("Checking redirect... "+_file)
        try:
            opener = urllib2.build_opener(NoRedirect())
            opener.addheaders = [('User-Agent', "Mozilla/5.0 (iPhone; U; CPU iPhone OS 3_0 like Mac OS X; en-us) AppleWebKit/528.18 (KHTML, like Gecko) Version/4.0 Mobile/7A341 Safari/528.16")]
            response = opener.open(_file)
            if(response.getcode()==302):
                self.log("Redirecting  to "+response.headers.get("Location"))
                return response.headers.get("Location")
                
        except Exception, e:
            pass
        self.log("No rediration, using default location.")
        return _file.encode("utf-8")
        
    def _getPlaylist(self, url):
        src=self.read(url, options={"User-Agent":"Mozilla/5.0 (iPhone; U; CPU iPhone OS 3_0 like Mac OS X; en-us) AppleWebKit/528.18 (KHTML, like Gecko) Version/4.0 Mobile/7A341 Safari/528.16"}).decode("cp1251")
        parser = KinomafiaParser()
        parser.feed(src)
        parser.close()
        ret=[]
        
        for src,data_res in parser.source:
            if(src is None):
                continue
            if data_res is None:
                data_res=""
            self.log("Found src "+str(src))
            pair={}
            pair["comment"]=u"Фильм "+str(data_res)
            pair["file"]=src
            pair["seen"]=False
            pair["rememberable"]=True
            pair["future"]=boundFunction(self.checkRedirect, pair["file"])
            ret.append(pair)
        if(len(ret)>0):
            return ret
        
        
        _file=None
        pl=None
        for p in parser.data:
            pl=self._getParameter(p, "pl")
            _pos=pl.find("/>")
            if(_pos>-1):
                pl=pl[:_pos]
                
            if(pl != None):
                break
            f=self._getParameter(p, "file")
            _pos=f.find("/>")
            if(_pos>-1):
                f=f[:_pos]
            if(f != None and f.find("http://www.youtube.com")==-1):
                _file=f
                break;
        if(_file is None and parser.video is not None):
            _file=parser.video
            
        if(_file == None and pl==None):
            raise APIException(-410,self.ERROR_MESSAGE_INFO)

        self.log("File "+str(_file))
        self.log("Playlist "+str(pl))
        if(_file != None and _file.endswith(".f4m")==False):
            ret=[]
            for _f in _file.split(" or "):
                _file=_f
                self.log("URL "+str(_file))
                pair={}
                pair["comment"]=u"Фильм"
                pair["file"]=_file
                pair["seen"]=False
                pair["rememberable"]=True
                ret.append(pair)
            return ret
            #return self._createSingplePlaylist(self.api.decode(self.PROVIDER_ID, _file)["result"], _future=self.checkRedirect)

        if(_file != None and _file.endswith(".f4m")==True):
            ret=[]
            for _f in _file.split(" or "):
                _file=_f
                self.log("URL "+str(_file))
                
                _media_data=self.parseManifest(self.read(_file))
                if(_media_data['url'].startswith("http")==False):
                    _media_data['url']=_file[:_file.rfind('/')]+"/"+_media_data['url'] 
                pair={}
                pair["comment"]=u"Фильм "+str(_media_data["bitrate"])+"kbps [FLV]"
                pair["file"]="movie.flv"
                pair["seen"]=False
                pair["type"]="F4M"
                pair["media_data"]=_media_data

                ret.append(pair)
            return ret
            #return self._createSingplePlaylist(self.api.decode(self.PROVIDER_ID, _file)["result"], _future=self.checkRedirect)
        if(pl != None):

            ret=loads(pl.replace("'","\""), "utf-8")
            playlist = self._createPlaylist(ret)
            self.log(str(playlist))

            for pair in playlist:
                self.log(str(pair))
                _file=pair["file"]
                if(_file.endswith(".f4m")):
                    _media_data=self.parseManifest(self.read(_file))
                    if(_media_data['url'].startswith("http")==False):
                        _media_data['url']=_file[:_file.rfind('/')]+"/"+_media_data['url'] 
                    pair["file"]="movie.flv"
                    pair["type"]="F4M"
                    pair["media_data"]=_media_data
                    pair["comment"]=pair["comment"]+" "+str(_media_data["bitrate"])+"kbps [FLV]"
                else:
                    pair["future"]=boundFunction(self.checkRedirect, pair["file"])
            return playlist
        raise APIException(-410,self.ERROR_MESSAGE_INFO)
        

class KinomafiaParser(SeasondreamHTMLParser):

    def __init__(self):
        SeasondreamHTMLParser.__init__(self)
        self.objectParams=False
        self.script=False
        self.data = []
        self.scriptdata=[]
        self.video=None
        self.source=[]
        self.data_res=[]

    def unescape(self, s):
        return  s.replace("&amp;","&")

    def handle_data(self, data):
        pass

    def handle_starttag(self, tag, attrs):
        if(tag.lower()=="object"):
            self.objectParams=True
        if(tag.lower()=="param" and self.objectParams):
            name = [v for k, v in attrs if k == 'name'][0]
            value = [v for k, v in attrs if k == 'value'][0]
            if(name.lower()=="flashvars"):
                self.data.append(value)
        if(tag.lower()=="video"):
            try:
                self.video = [v for k, v in attrs if k == 'src'][0]
            except Exception:
                pass
        if(tag.lower()=="source"):
            src=None
            data_res=None
            try:
                src = [v for k, v in attrs if k == 'src'][0]
            except Exception:
                pass
            try:
                data_res = [v for k, v in attrs if k == 'data-res'][0]
            except Exception:
                pass
            self.source.append((src,data_res))
    def handle_endtag(self, tag):
        if(tag.lower()=="object"):
            self.objectParams=False