# -*- coding: UTF-8 -*-
# Copyright 2013-2017 John Red.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

try:
    from Plugins.Extensions.Seasondream.SeasondreamHTMLParser import SeasondreamHTMLParser
    from Plugins.Extensions.Seasondream.api.APIException import APIException
    from Plugins.Extensions.Seasondream.plugins.Plugin import Plugin
    from Plugins.Extensions.Seasondream.simplejson import loads
    from Plugins.Extensions.Seasondream.plugins.Plugin import boundFunction
    from Plugins.Extensions.Seasondream.Config import cfg
    
except ImportError:
    try:
        from resources.lib.plugins.Plugin import boundFunction
        from resources.lib.utils.SeasondreamHTMLParser import SeasondreamHTMLParser
        from resources.lib.api.APIException import APIException
        from resources.lib.plugins.Plugin import Plugin
        from resources.lib.simplejson import loads
    except ImportError:
        from SeasondreamHTMLParser import SeasondreamHTMLParser
        from api.APIException import APIException
        from plugins.Plugin import Plugin
        from simplejson import loads
 
class Serialutv(Plugin):

    PROVIDER_ID=27

    def __init__(self, api):
        Plugin.__init__(self, api)

    
    def _getPlaylist(self, url):
        src=self.read(url).decode("utf-8")
        parser = SerialutvParser()
        parser.feed(src)
        parser.close()
        for iframeSrc in parser.iframeSrc:
            self.log("Parsing %s"%(iframeSrc))
            iframeContent=self.read(iframeSrc, options={"Referer":url}).decode("cp1251")
            parserIframe = SerialutvParser()
            parserIframe.feed(iframeContent)
            parserIframe.close()
            for data in parserIframe.data:
                self.log("Checking "+data)
                pl=self._getParameter(data, "pl")
                if(pl is not None):
                    return self._createPlaylist(loads(self.read(pl, options={"Referer":url}), "utf-8"))

        raise APIException(-2700,self.ERROR_MESSAGE_INFO)

class SerialutvParser(SeasondreamHTMLParser):

    def __init__(self):
        SeasondreamHTMLParser.__init__(self)
        self.iframeSrc = []
        self.data=[]

    #def unescape(self, s):
    #    return  s.replace("&amp;","&")

    def handle_starttag(self, tag, attrs):

        if(tag.lower()=="iframe"):
            _src = None
            try:
                _src=[v for k, v in attrs if k == 'src'][0]
            except Exception, e:
                pass
            if _src is not None:
                self.iframeSrc.append(_src)
                
        if(tag.lower()=="param"):
            name = [v for k, v in attrs if k == 'name'][0]
            value = [v for k, v in attrs if k == 'value'][0]
            if(name.lower()=="flashvars"):
                self.data.append(value)
                
