# -*- coding: UTF-8 -*-
# Copyright 2013-2017 John Red.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
import re
import urlparse

try:
    from Plugins.Extensions.Seasondream.SeasondreamHTMLParser import SeasondreamHTMLParser
    from Plugins.Extensions.Seasondream.api.APIException import APIException
    from Plugins.Extensions.Seasondream.plugins.Plugin import Plugin
    from Plugins.Extensions.Seasondream.simplejson import loads
    from Plugins.Extensions.Seasondream.plugins.Plugin import boundFunction
    from Plugins.Extensions.Seasondream.Config import cfg
    
except ImportError:
    try:
        from resources.lib.plugins.Plugin import boundFunction
        from resources.lib.utils.SeasondreamHTMLParser import SeasondreamHTMLParser
        from resources.lib.api.APIException import APIException
        from resources.lib.plugins.Plugin import Plugin
        from resources.lib.simplejson import loads
    except ImportError:
        from SeasondreamHTMLParser import SeasondreamHTMLParser
        from api.APIException import APIException
        from plugins.Plugin import Plugin
        from simplejson import loads
    

class Vk(Plugin):

    PROVIDER_ID=11

    def __init__(self, api):
        Plugin.__init__(self, api)
        self.play_next=False

    def _getPlaylist(self, url):
        self.log("Loading vk.com playlist "+url)

        src=self.read(url).decode("cp1251")
        parser = VkParser()
        parser.feed(src)
        parser.close()
        res={}
        for d in parser.data:
            for p in ["url720","url480","url360","url240"]:
                res[p]=self. _getParameter(d, p)

        if(len(res) > 0):
            pass
        else:
            # new method
            src=src.replace("\n","").replace("\r","")                          
            for item in re.compile('\"(url[0-9]{1,4})\"\s*:\s*\"(.*?)\",').findall(src):
                self.log(item[0])
                self.log(item[1])
                _url=loads('{"'+item[0]+'":"'+item[1]+'"}', "utf-8")[item[0]]
                res[item[0]]=_url
        if(len(res) < 1):
            self.log("Nothing found")
            return None
        self.log("vk.com loaded.")
        pl=[];
        if("url720" in res and res["url720"] is not None):
            pair={}
            pair["comment"]="720p"
            pair["file"]=res["url720"].encode("utf-8") 
            pair["seen"]=False
            pair["rememberable"]=True
            pl.append(pair)          
        if("url480" in res and res["url480"] is not None):
            pair={}
            pair["comment"]="480p"
            pair["file"]=res["url480"].encode("utf-8") 
            pair["seen"]=False
            pair["rememberable"]=True
            pl.append(pair)          
        if("url360" in res and res["url360"] is not None):
            pair={}
            pair["comment"]="360p"
            pair["file"]=res["url360"].encode("utf-8") 
            pair["seen"]=False
            pair["rememberable"]=True
            pl.append(pair)          
        if("url240" in res and res["url240"] is not None):
            pair={}
            pair["comment"]="240p"
            pair["file"]=res["url240"].encode("utf-8") 
            pair["seen"]=False
            pair["rememberable"]=True
            pl.append(pair)
        if(len(pl)==0):
            raise APIException(-1102,"К сожалению видео недоступно.")
            
        return pl
        
class VkParser(SeasondreamHTMLParser):

    def __init__(self):
        SeasondreamHTMLParser.__init__(self)
        self.objectParams=False
        self.data = []

    def unescape(self, s):
        return  s.replace("&amp;","&")

    def handle_data(self, data):
        pass
    
    def handle_starttag(self, tag, attrs):
        if(tag.lower()=="object"):
            clazz = ""
            try:
                clazz=[v for k, v in attrs if k == 'id'][0]
            except Exception, e:
                pass
            if(clazz.lower()=="playerobj"):
                self.objectParams=True
        if(self.objectParams==True):
            print tag
        if(tag.lower()=="param" and self.objectParams):
            name = [v for k, v in attrs if k == 'name'][0]
            value = [v for k, v in attrs if k == 'value'][0]
            if(name.lower()=="flashvars"):
                self.data.append(value)

    def handle_endtag(self, tag):
        if(tag.lower()=="object"):
            self.objectParams=False

    def script_end(self):
        pass
    